"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DevOpsGuru = void 0;
const AddNotificationChannelCommand_1 = require("./commands/AddNotificationChannelCommand");
const DeleteInsightCommand_1 = require("./commands/DeleteInsightCommand");
const DescribeAccountHealthCommand_1 = require("./commands/DescribeAccountHealthCommand");
const DescribeAccountOverviewCommand_1 = require("./commands/DescribeAccountOverviewCommand");
const DescribeAnomalyCommand_1 = require("./commands/DescribeAnomalyCommand");
const DescribeEventSourcesConfigCommand_1 = require("./commands/DescribeEventSourcesConfigCommand");
const DescribeFeedbackCommand_1 = require("./commands/DescribeFeedbackCommand");
const DescribeInsightCommand_1 = require("./commands/DescribeInsightCommand");
const DescribeOrganizationHealthCommand_1 = require("./commands/DescribeOrganizationHealthCommand");
const DescribeOrganizationOverviewCommand_1 = require("./commands/DescribeOrganizationOverviewCommand");
const DescribeOrganizationResourceCollectionHealthCommand_1 = require("./commands/DescribeOrganizationResourceCollectionHealthCommand");
const DescribeResourceCollectionHealthCommand_1 = require("./commands/DescribeResourceCollectionHealthCommand");
const DescribeServiceIntegrationCommand_1 = require("./commands/DescribeServiceIntegrationCommand");
const GetCostEstimationCommand_1 = require("./commands/GetCostEstimationCommand");
const GetResourceCollectionCommand_1 = require("./commands/GetResourceCollectionCommand");
const ListAnomaliesForInsightCommand_1 = require("./commands/ListAnomaliesForInsightCommand");
const ListEventsCommand_1 = require("./commands/ListEventsCommand");
const ListInsightsCommand_1 = require("./commands/ListInsightsCommand");
const ListNotificationChannelsCommand_1 = require("./commands/ListNotificationChannelsCommand");
const ListOrganizationInsightsCommand_1 = require("./commands/ListOrganizationInsightsCommand");
const ListRecommendationsCommand_1 = require("./commands/ListRecommendationsCommand");
const PutFeedbackCommand_1 = require("./commands/PutFeedbackCommand");
const RemoveNotificationChannelCommand_1 = require("./commands/RemoveNotificationChannelCommand");
const SearchInsightsCommand_1 = require("./commands/SearchInsightsCommand");
const SearchOrganizationInsightsCommand_1 = require("./commands/SearchOrganizationInsightsCommand");
const StartCostEstimationCommand_1 = require("./commands/StartCostEstimationCommand");
const UpdateEventSourcesConfigCommand_1 = require("./commands/UpdateEventSourcesConfigCommand");
const UpdateResourceCollectionCommand_1 = require("./commands/UpdateResourceCollectionCommand");
const UpdateServiceIntegrationCommand_1 = require("./commands/UpdateServiceIntegrationCommand");
const DevOpsGuruClient_1 = require("./DevOpsGuruClient");
class DevOpsGuru extends DevOpsGuruClient_1.DevOpsGuruClient {
    addNotificationChannel(args, optionsOrCb, cb) {
        const command = new AddNotificationChannelCommand_1.AddNotificationChannelCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    deleteInsight(args, optionsOrCb, cb) {
        const command = new DeleteInsightCommand_1.DeleteInsightCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeAccountHealth(args, optionsOrCb, cb) {
        const command = new DescribeAccountHealthCommand_1.DescribeAccountHealthCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeAccountOverview(args, optionsOrCb, cb) {
        const command = new DescribeAccountOverviewCommand_1.DescribeAccountOverviewCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeAnomaly(args, optionsOrCb, cb) {
        const command = new DescribeAnomalyCommand_1.DescribeAnomalyCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeEventSourcesConfig(args, optionsOrCb, cb) {
        const command = new DescribeEventSourcesConfigCommand_1.DescribeEventSourcesConfigCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeFeedback(args, optionsOrCb, cb) {
        const command = new DescribeFeedbackCommand_1.DescribeFeedbackCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeInsight(args, optionsOrCb, cb) {
        const command = new DescribeInsightCommand_1.DescribeInsightCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeOrganizationHealth(args, optionsOrCb, cb) {
        const command = new DescribeOrganizationHealthCommand_1.DescribeOrganizationHealthCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeOrganizationOverview(args, optionsOrCb, cb) {
        const command = new DescribeOrganizationOverviewCommand_1.DescribeOrganizationOverviewCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeOrganizationResourceCollectionHealth(args, optionsOrCb, cb) {
        const command = new DescribeOrganizationResourceCollectionHealthCommand_1.DescribeOrganizationResourceCollectionHealthCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeResourceCollectionHealth(args, optionsOrCb, cb) {
        const command = new DescribeResourceCollectionHealthCommand_1.DescribeResourceCollectionHealthCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeServiceIntegration(args, optionsOrCb, cb) {
        const command = new DescribeServiceIntegrationCommand_1.DescribeServiceIntegrationCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    getCostEstimation(args, optionsOrCb, cb) {
        const command = new GetCostEstimationCommand_1.GetCostEstimationCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    getResourceCollection(args, optionsOrCb, cb) {
        const command = new GetResourceCollectionCommand_1.GetResourceCollectionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    listAnomaliesForInsight(args, optionsOrCb, cb) {
        const command = new ListAnomaliesForInsightCommand_1.ListAnomaliesForInsightCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    listEvents(args, optionsOrCb, cb) {
        const command = new ListEventsCommand_1.ListEventsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    listInsights(args, optionsOrCb, cb) {
        const command = new ListInsightsCommand_1.ListInsightsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    listNotificationChannels(args, optionsOrCb, cb) {
        const command = new ListNotificationChannelsCommand_1.ListNotificationChannelsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    listOrganizationInsights(args, optionsOrCb, cb) {
        const command = new ListOrganizationInsightsCommand_1.ListOrganizationInsightsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    listRecommendations(args, optionsOrCb, cb) {
        const command = new ListRecommendationsCommand_1.ListRecommendationsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    putFeedback(args, optionsOrCb, cb) {
        const command = new PutFeedbackCommand_1.PutFeedbackCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    removeNotificationChannel(args, optionsOrCb, cb) {
        const command = new RemoveNotificationChannelCommand_1.RemoveNotificationChannelCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    searchInsights(args, optionsOrCb, cb) {
        const command = new SearchInsightsCommand_1.SearchInsightsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    searchOrganizationInsights(args, optionsOrCb, cb) {
        const command = new SearchOrganizationInsightsCommand_1.SearchOrganizationInsightsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    startCostEstimation(args, optionsOrCb, cb) {
        const command = new StartCostEstimationCommand_1.StartCostEstimationCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    updateEventSourcesConfig(args, optionsOrCb, cb) {
        const command = new UpdateEventSourcesConfigCommand_1.UpdateEventSourcesConfigCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    updateResourceCollection(args, optionsOrCb, cb) {
        const command = new UpdateResourceCollectionCommand_1.UpdateResourceCollectionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    updateServiceIntegration(args, optionsOrCb, cb) {
        const command = new UpdateServiceIntegrationCommand_1.UpdateServiceIntegrationCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
}
exports.DevOpsGuru = DevOpsGuru;
