"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceCollection = exports.TagCollection = exports.CloudFormationCollection = exports.PredictionTimeRange = exports.DescribeAnomalyRequest = exports.DescribeAccountOverviewResponse = exports.DescribeAccountOverviewRequest = exports.DescribeAccountHealthResponse = exports.DescribeAccountHealthRequest = exports.DeleteInsightResponse = exports.DeleteInsightRequest = exports.AnomalyType = exports.AnomalyTimeRange = exports.AnomalyStatus = exports.AnomalySourceMetadata = exports.AnomalySourceDetails = exports.PerformanceInsightsMetricsDetail = exports.PerformanceInsightsStat = exports.PerformanceInsightsReferenceData = exports.PerformanceInsightsReferenceComparisonValues = exports.PerformanceInsightsReferenceScalar = exports.PerformanceInsightsReferenceMetric = exports.PerformanceInsightsMetricQuery = exports.PerformanceInsightsMetricDimensionGroup = exports.CloudWatchMetricsDetail = exports.CloudWatchMetricsStat = exports.CloudWatchMetricsDataSummary = exports.TimestampMetricValuePair = exports.CloudWatchMetricDataStatusCode = exports.CloudWatchMetricsDimension = exports.AnomalySeverity = exports.AnomalyResource = exports.AnomalyReportedTimeRange = exports.AmazonCodeGuruProfilerIntegration = exports.EventSourceOptInStatus = exports.ValidationException = exports.ValidationExceptionReason = exports.ValidationExceptionField = exports.ThrottlingException = exports.ServiceQuotaExceededException = exports.ResourceNotFoundException = exports.InternalServerException = exports.ConflictException = exports.AddNotificationChannelResponse = exports.AddNotificationChannelRequest = exports.NotificationChannelConfig = exports.SnsChannelConfig = exports.AccountHealth = exports.AccountInsightHealth = exports.AccessDeniedException = void 0;
exports.TagCollectionFilter = exports.CloudFormationCollectionFilter = exports.GetResourceCollectionRequest = exports.GetCostEstimationResponse = exports.CostEstimationTimeRange = exports.CostEstimationStatus = exports.CostEstimationResourceCollectionFilter = exports.TagCostEstimationResourceCollectionFilter = exports.CloudFormationCostEstimationResourceCollectionFilter = exports.ServiceResourceCost = exports.CostEstimationServiceResourceState = exports.GetCostEstimationRequest = exports.DescribeServiceIntegrationResponse = exports.ServiceIntegrationConfig = exports.OpsCenterIntegration = exports.OptInStatus = exports.DescribeServiceIntegrationRequest = exports.DescribeResourceCollectionHealthResponse = exports.DescribeResourceCollectionHealthRequest = exports.ResourceCollectionType = exports.DescribeOrganizationResourceCollectionHealthResponse = exports.TagHealth = exports.ServiceHealth = exports.ServiceName = exports.ServiceInsightHealth = exports.CloudFormationHealth = exports.InsightHealth = exports.DescribeOrganizationResourceCollectionHealthRequest = exports.OrganizationResourceCollectionType = exports.DescribeOrganizationOverviewResponse = exports.DescribeOrganizationOverviewRequest = exports.DescribeOrganizationHealthResponse = exports.DescribeOrganizationHealthRequest = exports.DescribeInsightResponse = exports.ReactiveInsight = exports.ProactiveInsight = exports.InsightStatus = exports.InsightSeverity = exports.InsightTimeRange = exports.DescribeInsightRequest = exports.DescribeFeedbackResponse = exports.InsightFeedback = exports.InsightFeedbackOption = exports.DescribeFeedbackRequest = exports.DescribeEventSourcesConfigResponse = exports.EventSourcesConfig = exports.DescribeEventSourcesConfigRequest = exports.DescribeAnomalyResponse = exports.ReactiveAnomaly = exports.ProactiveAnomaly = void 0;
exports.SearchInsightsResponse = exports.SearchInsightsRequest = exports.SearchInsightsFilters = exports.RemoveNotificationChannelResponse = exports.RemoveNotificationChannelRequest = exports.PutFeedbackResponse = exports.PutFeedbackRequest = exports.ListRecommendationsResponse = exports.Recommendation = exports.RecommendationRelatedEvent = exports.RecommendationRelatedEventResource = exports.RecommendationRelatedAnomaly = exports.RecommendationRelatedAnomalySourceDetail = exports.RecommendationRelatedCloudWatchMetricsSourceDetail = exports.RecommendationRelatedAnomalyResource = exports.ListRecommendationsRequest = exports.Locale = exports.ListOrganizationInsightsResponse = exports.ReactiveOrganizationInsightSummary = exports.ProactiveOrganizationInsightSummary = exports.ListOrganizationInsightsRequest = exports.ListNotificationChannelsResponse = exports.NotificationChannel = exports.ListNotificationChannelsRequest = exports.ListInsightsResponse = exports.ReactiveInsightSummary = exports.ProactiveInsightSummary = exports.ServiceCollection = exports.ListInsightsRequest = exports.ListInsightsStatusFilter = exports.ListInsightsOngoingStatusFilter = exports.ListInsightsClosedStatusFilter = exports.EndTimeRange = exports.ListInsightsAnyStatusFilter = exports.InsightType = exports.ListEventsResponse = exports.Event = exports.EventResource = exports.ListEventsRequest = exports.ListEventsFilters = exports.EventTimeRange = exports.EventClass = exports.EventDataSource = exports.ListAnomaliesForInsightResponse = exports.ReactiveAnomalySummary = exports.ProactiveAnomalySummary = exports.ListAnomaliesForInsightRequest = exports.StartTimeRange = exports.GetResourceCollectionResponse = exports.ResourceCollectionFilter = void 0;
exports.UpdateServiceIntegrationResponse = exports.UpdateServiceIntegrationRequest = exports.UpdateServiceIntegrationConfig = exports.OpsCenterIntegrationConfig = exports.UpdateResourceCollectionResponse = exports.UpdateResourceCollectionRequest = exports.UpdateResourceCollectionFilter = exports.UpdateTagCollectionFilter = exports.UpdateCloudFormationCollectionFilter = exports.UpdateResourceCollectionAction = exports.UpdateEventSourcesConfigResponse = exports.UpdateEventSourcesConfigRequest = exports.StartCostEstimationResponse = exports.StartCostEstimationRequest = exports.SearchOrganizationInsightsResponse = exports.SearchOrganizationInsightsRequest = exports.SearchOrganizationInsightsFilters = void 0;
const DevOpsGuruServiceException_1 = require("./DevOpsGuruServiceException");
class AccessDeniedException extends DevOpsGuruServiceException_1.DevOpsGuruServiceException {
    constructor(opts) {
        super({
            name: "AccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "AccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AccessDeniedException.prototype);
        this.Message = opts.Message;
    }
}
exports.AccessDeniedException = AccessDeniedException;
var AccountInsightHealth;
(function (AccountInsightHealth) {
    AccountInsightHealth.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AccountInsightHealth = exports.AccountInsightHealth || (exports.AccountInsightHealth = {}));
var AccountHealth;
(function (AccountHealth) {
    AccountHealth.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AccountHealth = exports.AccountHealth || (exports.AccountHealth = {}));
var SnsChannelConfig;
(function (SnsChannelConfig) {
    SnsChannelConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SnsChannelConfig = exports.SnsChannelConfig || (exports.SnsChannelConfig = {}));
var NotificationChannelConfig;
(function (NotificationChannelConfig) {
    NotificationChannelConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(NotificationChannelConfig = exports.NotificationChannelConfig || (exports.NotificationChannelConfig = {}));
var AddNotificationChannelRequest;
(function (AddNotificationChannelRequest) {
    AddNotificationChannelRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AddNotificationChannelRequest = exports.AddNotificationChannelRequest || (exports.AddNotificationChannelRequest = {}));
var AddNotificationChannelResponse;
(function (AddNotificationChannelResponse) {
    AddNotificationChannelResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AddNotificationChannelResponse = exports.AddNotificationChannelResponse || (exports.AddNotificationChannelResponse = {}));
class ConflictException extends DevOpsGuruServiceException_1.DevOpsGuruServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.Message = opts.Message;
        this.ResourceId = opts.ResourceId;
        this.ResourceType = opts.ResourceType;
    }
}
exports.ConflictException = ConflictException;
class InternalServerException extends DevOpsGuruServiceException_1.DevOpsGuruServiceException {
    constructor(opts) {
        super({
            name: "InternalServerException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalServerException.prototype);
        this.Message = opts.Message;
        this.RetryAfterSeconds = opts.RetryAfterSeconds;
    }
}
exports.InternalServerException = InternalServerException;
class ResourceNotFoundException extends DevOpsGuruServiceException_1.DevOpsGuruServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.Message = opts.Message;
        this.ResourceId = opts.ResourceId;
        this.ResourceType = opts.ResourceType;
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
class ServiceQuotaExceededException extends DevOpsGuruServiceException_1.DevOpsGuruServiceException {
    constructor(opts) {
        super({
            name: "ServiceQuotaExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceQuotaExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceQuotaExceededException.prototype);
        this.Message = opts.Message;
    }
}
exports.ServiceQuotaExceededException = ServiceQuotaExceededException;
class ThrottlingException extends DevOpsGuruServiceException_1.DevOpsGuruServiceException {
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottlingException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottlingException.prototype);
        this.Message = opts.Message;
        this.QuotaCode = opts.QuotaCode;
        this.ServiceCode = opts.ServiceCode;
        this.RetryAfterSeconds = opts.RetryAfterSeconds;
    }
}
exports.ThrottlingException = ThrottlingException;
var ValidationExceptionField;
(function (ValidationExceptionField) {
    ValidationExceptionField.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ValidationExceptionField = exports.ValidationExceptionField || (exports.ValidationExceptionField = {}));
var ValidationExceptionReason;
(function (ValidationExceptionReason) {
    ValidationExceptionReason["CANNOT_PARSE"] = "CANNOT_PARSE";
    ValidationExceptionReason["FIELD_VALIDATION_FAILED"] = "FIELD_VALIDATION_FAILED";
    ValidationExceptionReason["INVALID_PARAMETER_COMBINATION"] = "INVALID_PARAMETER_COMBINATION";
    ValidationExceptionReason["OTHER"] = "OTHER";
    ValidationExceptionReason["PARAMETER_INCONSISTENT_WITH_SERVICE_STATE"] = "PARAMETER_INCONSISTENT_WITH_SERVICE_STATE";
    ValidationExceptionReason["UNKNOWN_OPERATION"] = "UNKNOWN_OPERATION";
})(ValidationExceptionReason = exports.ValidationExceptionReason || (exports.ValidationExceptionReason = {}));
class ValidationException extends DevOpsGuruServiceException_1.DevOpsGuruServiceException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.Message = opts.Message;
        this.Reason = opts.Reason;
        this.Fields = opts.Fields;
    }
}
exports.ValidationException = ValidationException;
var EventSourceOptInStatus;
(function (EventSourceOptInStatus) {
    EventSourceOptInStatus["DISABLED"] = "DISABLED";
    EventSourceOptInStatus["ENABLED"] = "ENABLED";
})(EventSourceOptInStatus = exports.EventSourceOptInStatus || (exports.EventSourceOptInStatus = {}));
var AmazonCodeGuruProfilerIntegration;
(function (AmazonCodeGuruProfilerIntegration) {
    AmazonCodeGuruProfilerIntegration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AmazonCodeGuruProfilerIntegration = exports.AmazonCodeGuruProfilerIntegration || (exports.AmazonCodeGuruProfilerIntegration = {}));
var AnomalyReportedTimeRange;
(function (AnomalyReportedTimeRange) {
    AnomalyReportedTimeRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AnomalyReportedTimeRange = exports.AnomalyReportedTimeRange || (exports.AnomalyReportedTimeRange = {}));
var AnomalyResource;
(function (AnomalyResource) {
    AnomalyResource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AnomalyResource = exports.AnomalyResource || (exports.AnomalyResource = {}));
var AnomalySeverity;
(function (AnomalySeverity) {
    AnomalySeverity["HIGH"] = "HIGH";
    AnomalySeverity["LOW"] = "LOW";
    AnomalySeverity["MEDIUM"] = "MEDIUM";
})(AnomalySeverity = exports.AnomalySeverity || (exports.AnomalySeverity = {}));
var CloudWatchMetricsDimension;
(function (CloudWatchMetricsDimension) {
    CloudWatchMetricsDimension.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CloudWatchMetricsDimension = exports.CloudWatchMetricsDimension || (exports.CloudWatchMetricsDimension = {}));
var CloudWatchMetricDataStatusCode;
(function (CloudWatchMetricDataStatusCode) {
    CloudWatchMetricDataStatusCode["COMPLETE"] = "Complete";
    CloudWatchMetricDataStatusCode["INTERNAL_ERROR"] = "InternalError";
    CloudWatchMetricDataStatusCode["PARTIAL_DATA"] = "PartialData";
})(CloudWatchMetricDataStatusCode = exports.CloudWatchMetricDataStatusCode || (exports.CloudWatchMetricDataStatusCode = {}));
var TimestampMetricValuePair;
(function (TimestampMetricValuePair) {
    TimestampMetricValuePair.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TimestampMetricValuePair = exports.TimestampMetricValuePair || (exports.TimestampMetricValuePair = {}));
var CloudWatchMetricsDataSummary;
(function (CloudWatchMetricsDataSummary) {
    CloudWatchMetricsDataSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CloudWatchMetricsDataSummary = exports.CloudWatchMetricsDataSummary || (exports.CloudWatchMetricsDataSummary = {}));
var CloudWatchMetricsStat;
(function (CloudWatchMetricsStat) {
    CloudWatchMetricsStat["AVERAGE"] = "Average";
    CloudWatchMetricsStat["MAXIMUM"] = "Maximum";
    CloudWatchMetricsStat["MINIMUM"] = "Minimum";
    CloudWatchMetricsStat["P50"] = "p50";
    CloudWatchMetricsStat["P90"] = "p90";
    CloudWatchMetricsStat["P99"] = "p99";
    CloudWatchMetricsStat["SAMPLE_COUNT"] = "SampleCount";
    CloudWatchMetricsStat["SUM"] = "Sum";
})(CloudWatchMetricsStat = exports.CloudWatchMetricsStat || (exports.CloudWatchMetricsStat = {}));
var CloudWatchMetricsDetail;
(function (CloudWatchMetricsDetail) {
    CloudWatchMetricsDetail.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CloudWatchMetricsDetail = exports.CloudWatchMetricsDetail || (exports.CloudWatchMetricsDetail = {}));
var PerformanceInsightsMetricDimensionGroup;
(function (PerformanceInsightsMetricDimensionGroup) {
    PerformanceInsightsMetricDimensionGroup.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PerformanceInsightsMetricDimensionGroup = exports.PerformanceInsightsMetricDimensionGroup || (exports.PerformanceInsightsMetricDimensionGroup = {}));
var PerformanceInsightsMetricQuery;
(function (PerformanceInsightsMetricQuery) {
    PerformanceInsightsMetricQuery.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PerformanceInsightsMetricQuery = exports.PerformanceInsightsMetricQuery || (exports.PerformanceInsightsMetricQuery = {}));
var PerformanceInsightsReferenceMetric;
(function (PerformanceInsightsReferenceMetric) {
    PerformanceInsightsReferenceMetric.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PerformanceInsightsReferenceMetric = exports.PerformanceInsightsReferenceMetric || (exports.PerformanceInsightsReferenceMetric = {}));
var PerformanceInsightsReferenceScalar;
(function (PerformanceInsightsReferenceScalar) {
    PerformanceInsightsReferenceScalar.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PerformanceInsightsReferenceScalar = exports.PerformanceInsightsReferenceScalar || (exports.PerformanceInsightsReferenceScalar = {}));
var PerformanceInsightsReferenceComparisonValues;
(function (PerformanceInsightsReferenceComparisonValues) {
    PerformanceInsightsReferenceComparisonValues.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PerformanceInsightsReferenceComparisonValues = exports.PerformanceInsightsReferenceComparisonValues || (exports.PerformanceInsightsReferenceComparisonValues = {}));
var PerformanceInsightsReferenceData;
(function (PerformanceInsightsReferenceData) {
    PerformanceInsightsReferenceData.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PerformanceInsightsReferenceData = exports.PerformanceInsightsReferenceData || (exports.PerformanceInsightsReferenceData = {}));
var PerformanceInsightsStat;
(function (PerformanceInsightsStat) {
    PerformanceInsightsStat.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PerformanceInsightsStat = exports.PerformanceInsightsStat || (exports.PerformanceInsightsStat = {}));
var PerformanceInsightsMetricsDetail;
(function (PerformanceInsightsMetricsDetail) {
    PerformanceInsightsMetricsDetail.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PerformanceInsightsMetricsDetail = exports.PerformanceInsightsMetricsDetail || (exports.PerformanceInsightsMetricsDetail = {}));
var AnomalySourceDetails;
(function (AnomalySourceDetails) {
    AnomalySourceDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AnomalySourceDetails = exports.AnomalySourceDetails || (exports.AnomalySourceDetails = {}));
var AnomalySourceMetadata;
(function (AnomalySourceMetadata) {
    AnomalySourceMetadata.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AnomalySourceMetadata = exports.AnomalySourceMetadata || (exports.AnomalySourceMetadata = {}));
var AnomalyStatus;
(function (AnomalyStatus) {
    AnomalyStatus["CLOSED"] = "CLOSED";
    AnomalyStatus["ONGOING"] = "ONGOING";
})(AnomalyStatus = exports.AnomalyStatus || (exports.AnomalyStatus = {}));
var AnomalyTimeRange;
(function (AnomalyTimeRange) {
    AnomalyTimeRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AnomalyTimeRange = exports.AnomalyTimeRange || (exports.AnomalyTimeRange = {}));
var AnomalyType;
(function (AnomalyType) {
    AnomalyType["CAUSAL"] = "CAUSAL";
    AnomalyType["CONTEXTUAL"] = "CONTEXTUAL";
})(AnomalyType = exports.AnomalyType || (exports.AnomalyType = {}));
var DeleteInsightRequest;
(function (DeleteInsightRequest) {
    DeleteInsightRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteInsightRequest = exports.DeleteInsightRequest || (exports.DeleteInsightRequest = {}));
var DeleteInsightResponse;
(function (DeleteInsightResponse) {
    DeleteInsightResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteInsightResponse = exports.DeleteInsightResponse || (exports.DeleteInsightResponse = {}));
var DescribeAccountHealthRequest;
(function (DescribeAccountHealthRequest) {
    DescribeAccountHealthRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAccountHealthRequest = exports.DescribeAccountHealthRequest || (exports.DescribeAccountHealthRequest = {}));
var DescribeAccountHealthResponse;
(function (DescribeAccountHealthResponse) {
    DescribeAccountHealthResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAccountHealthResponse = exports.DescribeAccountHealthResponse || (exports.DescribeAccountHealthResponse = {}));
var DescribeAccountOverviewRequest;
(function (DescribeAccountOverviewRequest) {
    DescribeAccountOverviewRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAccountOverviewRequest = exports.DescribeAccountOverviewRequest || (exports.DescribeAccountOverviewRequest = {}));
var DescribeAccountOverviewResponse;
(function (DescribeAccountOverviewResponse) {
    DescribeAccountOverviewResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAccountOverviewResponse = exports.DescribeAccountOverviewResponse || (exports.DescribeAccountOverviewResponse = {}));
var DescribeAnomalyRequest;
(function (DescribeAnomalyRequest) {
    DescribeAnomalyRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAnomalyRequest = exports.DescribeAnomalyRequest || (exports.DescribeAnomalyRequest = {}));
var PredictionTimeRange;
(function (PredictionTimeRange) {
    PredictionTimeRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PredictionTimeRange = exports.PredictionTimeRange || (exports.PredictionTimeRange = {}));
var CloudFormationCollection;
(function (CloudFormationCollection) {
    CloudFormationCollection.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CloudFormationCollection = exports.CloudFormationCollection || (exports.CloudFormationCollection = {}));
var TagCollection;
(function (TagCollection) {
    TagCollection.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagCollection = exports.TagCollection || (exports.TagCollection = {}));
var ResourceCollection;
(function (ResourceCollection) {
    ResourceCollection.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResourceCollection = exports.ResourceCollection || (exports.ResourceCollection = {}));
var ProactiveAnomaly;
(function (ProactiveAnomaly) {
    ProactiveAnomaly.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProactiveAnomaly = exports.ProactiveAnomaly || (exports.ProactiveAnomaly = {}));
var ReactiveAnomaly;
(function (ReactiveAnomaly) {
    ReactiveAnomaly.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ReactiveAnomaly = exports.ReactiveAnomaly || (exports.ReactiveAnomaly = {}));
var DescribeAnomalyResponse;
(function (DescribeAnomalyResponse) {
    DescribeAnomalyResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAnomalyResponse = exports.DescribeAnomalyResponse || (exports.DescribeAnomalyResponse = {}));
var DescribeEventSourcesConfigRequest;
(function (DescribeEventSourcesConfigRequest) {
    DescribeEventSourcesConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEventSourcesConfigRequest = exports.DescribeEventSourcesConfigRequest || (exports.DescribeEventSourcesConfigRequest = {}));
var EventSourcesConfig;
(function (EventSourcesConfig) {
    EventSourcesConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EventSourcesConfig = exports.EventSourcesConfig || (exports.EventSourcesConfig = {}));
var DescribeEventSourcesConfigResponse;
(function (DescribeEventSourcesConfigResponse) {
    DescribeEventSourcesConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEventSourcesConfigResponse = exports.DescribeEventSourcesConfigResponse || (exports.DescribeEventSourcesConfigResponse = {}));
var DescribeFeedbackRequest;
(function (DescribeFeedbackRequest) {
    DescribeFeedbackRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeFeedbackRequest = exports.DescribeFeedbackRequest || (exports.DescribeFeedbackRequest = {}));
var InsightFeedbackOption;
(function (InsightFeedbackOption) {
    InsightFeedbackOption["ALERT_TOO_SENSITIVE"] = "ALERT_TOO_SENSITIVE";
    InsightFeedbackOption["DATA_INCORRECT"] = "DATA_INCORRECT";
    InsightFeedbackOption["DATA_NOISY_ANOMALY"] = "DATA_NOISY_ANOMALY";
    InsightFeedbackOption["RECOMMENDATION_USEFUL"] = "RECOMMENDATION_USEFUL";
    InsightFeedbackOption["VALID_COLLECTION"] = "VALID_COLLECTION";
})(InsightFeedbackOption = exports.InsightFeedbackOption || (exports.InsightFeedbackOption = {}));
var InsightFeedback;
(function (InsightFeedback) {
    InsightFeedback.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InsightFeedback = exports.InsightFeedback || (exports.InsightFeedback = {}));
var DescribeFeedbackResponse;
(function (DescribeFeedbackResponse) {
    DescribeFeedbackResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeFeedbackResponse = exports.DescribeFeedbackResponse || (exports.DescribeFeedbackResponse = {}));
var DescribeInsightRequest;
(function (DescribeInsightRequest) {
    DescribeInsightRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeInsightRequest = exports.DescribeInsightRequest || (exports.DescribeInsightRequest = {}));
var InsightTimeRange;
(function (InsightTimeRange) {
    InsightTimeRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InsightTimeRange = exports.InsightTimeRange || (exports.InsightTimeRange = {}));
var InsightSeverity;
(function (InsightSeverity) {
    InsightSeverity["HIGH"] = "HIGH";
    InsightSeverity["LOW"] = "LOW";
    InsightSeverity["MEDIUM"] = "MEDIUM";
})(InsightSeverity = exports.InsightSeverity || (exports.InsightSeverity = {}));
var InsightStatus;
(function (InsightStatus) {
    InsightStatus["CLOSED"] = "CLOSED";
    InsightStatus["ONGOING"] = "ONGOING";
})(InsightStatus = exports.InsightStatus || (exports.InsightStatus = {}));
var ProactiveInsight;
(function (ProactiveInsight) {
    ProactiveInsight.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProactiveInsight = exports.ProactiveInsight || (exports.ProactiveInsight = {}));
var ReactiveInsight;
(function (ReactiveInsight) {
    ReactiveInsight.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ReactiveInsight = exports.ReactiveInsight || (exports.ReactiveInsight = {}));
var DescribeInsightResponse;
(function (DescribeInsightResponse) {
    DescribeInsightResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeInsightResponse = exports.DescribeInsightResponse || (exports.DescribeInsightResponse = {}));
var DescribeOrganizationHealthRequest;
(function (DescribeOrganizationHealthRequest) {
    DescribeOrganizationHealthRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeOrganizationHealthRequest = exports.DescribeOrganizationHealthRequest || (exports.DescribeOrganizationHealthRequest = {}));
var DescribeOrganizationHealthResponse;
(function (DescribeOrganizationHealthResponse) {
    DescribeOrganizationHealthResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeOrganizationHealthResponse = exports.DescribeOrganizationHealthResponse || (exports.DescribeOrganizationHealthResponse = {}));
var DescribeOrganizationOverviewRequest;
(function (DescribeOrganizationOverviewRequest) {
    DescribeOrganizationOverviewRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeOrganizationOverviewRequest = exports.DescribeOrganizationOverviewRequest || (exports.DescribeOrganizationOverviewRequest = {}));
var DescribeOrganizationOverviewResponse;
(function (DescribeOrganizationOverviewResponse) {
    DescribeOrganizationOverviewResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeOrganizationOverviewResponse = exports.DescribeOrganizationOverviewResponse || (exports.DescribeOrganizationOverviewResponse = {}));
var OrganizationResourceCollectionType;
(function (OrganizationResourceCollectionType) {
    OrganizationResourceCollectionType["AWS_ACCOUNT"] = "AWS_ACCOUNT";
    OrganizationResourceCollectionType["AWS_CLOUD_FORMATION"] = "AWS_CLOUD_FORMATION";
    OrganizationResourceCollectionType["AWS_SERVICE"] = "AWS_SERVICE";
    OrganizationResourceCollectionType["AWS_TAGS"] = "AWS_TAGS";
})(OrganizationResourceCollectionType = exports.OrganizationResourceCollectionType || (exports.OrganizationResourceCollectionType = {}));
var DescribeOrganizationResourceCollectionHealthRequest;
(function (DescribeOrganizationResourceCollectionHealthRequest) {
    DescribeOrganizationResourceCollectionHealthRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeOrganizationResourceCollectionHealthRequest = exports.DescribeOrganizationResourceCollectionHealthRequest || (exports.DescribeOrganizationResourceCollectionHealthRequest = {}));
var InsightHealth;
(function (InsightHealth) {
    InsightHealth.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InsightHealth = exports.InsightHealth || (exports.InsightHealth = {}));
var CloudFormationHealth;
(function (CloudFormationHealth) {
    CloudFormationHealth.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CloudFormationHealth = exports.CloudFormationHealth || (exports.CloudFormationHealth = {}));
var ServiceInsightHealth;
(function (ServiceInsightHealth) {
    ServiceInsightHealth.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServiceInsightHealth = exports.ServiceInsightHealth || (exports.ServiceInsightHealth = {}));
var ServiceName;
(function (ServiceName) {
    ServiceName["API_GATEWAY"] = "API_GATEWAY";
    ServiceName["APPLICATION_ELB"] = "APPLICATION_ELB";
    ServiceName["AUTO_SCALING_GROUP"] = "AUTO_SCALING_GROUP";
    ServiceName["CLOUD_FRONT"] = "CLOUD_FRONT";
    ServiceName["DYNAMO_DB"] = "DYNAMO_DB";
    ServiceName["EC2"] = "EC2";
    ServiceName["ECS"] = "ECS";
    ServiceName["EKS"] = "EKS";
    ServiceName["ELASTIC_BEANSTALK"] = "ELASTIC_BEANSTALK";
    ServiceName["ELASTI_CACHE"] = "ELASTI_CACHE";
    ServiceName["ELB"] = "ELB";
    ServiceName["ES"] = "ES";
    ServiceName["KINESIS"] = "KINESIS";
    ServiceName["LAMBDA"] = "LAMBDA";
    ServiceName["NAT_GATEWAY"] = "NAT_GATEWAY";
    ServiceName["NETWORK_ELB"] = "NETWORK_ELB";
    ServiceName["RDS"] = "RDS";
    ServiceName["REDSHIFT"] = "REDSHIFT";
    ServiceName["ROUTE_53"] = "ROUTE_53";
    ServiceName["S3"] = "S3";
    ServiceName["SAGE_MAKER"] = "SAGE_MAKER";
    ServiceName["SNS"] = "SNS";
    ServiceName["SQS"] = "SQS";
    ServiceName["STEP_FUNCTIONS"] = "STEP_FUNCTIONS";
    ServiceName["SWF"] = "SWF";
})(ServiceName = exports.ServiceName || (exports.ServiceName = {}));
var ServiceHealth;
(function (ServiceHealth) {
    ServiceHealth.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServiceHealth = exports.ServiceHealth || (exports.ServiceHealth = {}));
var TagHealth;
(function (TagHealth) {
    TagHealth.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagHealth = exports.TagHealth || (exports.TagHealth = {}));
var DescribeOrganizationResourceCollectionHealthResponse;
(function (DescribeOrganizationResourceCollectionHealthResponse) {
    DescribeOrganizationResourceCollectionHealthResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeOrganizationResourceCollectionHealthResponse = exports.DescribeOrganizationResourceCollectionHealthResponse || (exports.DescribeOrganizationResourceCollectionHealthResponse = {}));
var ResourceCollectionType;
(function (ResourceCollectionType) {
    ResourceCollectionType["AWS_CLOUD_FORMATION"] = "AWS_CLOUD_FORMATION";
    ResourceCollectionType["AWS_SERVICE"] = "AWS_SERVICE";
    ResourceCollectionType["AWS_TAGS"] = "AWS_TAGS";
})(ResourceCollectionType = exports.ResourceCollectionType || (exports.ResourceCollectionType = {}));
var DescribeResourceCollectionHealthRequest;
(function (DescribeResourceCollectionHealthRequest) {
    DescribeResourceCollectionHealthRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeResourceCollectionHealthRequest = exports.DescribeResourceCollectionHealthRequest || (exports.DescribeResourceCollectionHealthRequest = {}));
var DescribeResourceCollectionHealthResponse;
(function (DescribeResourceCollectionHealthResponse) {
    DescribeResourceCollectionHealthResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeResourceCollectionHealthResponse = exports.DescribeResourceCollectionHealthResponse || (exports.DescribeResourceCollectionHealthResponse = {}));
var DescribeServiceIntegrationRequest;
(function (DescribeServiceIntegrationRequest) {
    DescribeServiceIntegrationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeServiceIntegrationRequest = exports.DescribeServiceIntegrationRequest || (exports.DescribeServiceIntegrationRequest = {}));
var OptInStatus;
(function (OptInStatus) {
    OptInStatus["DISABLED"] = "DISABLED";
    OptInStatus["ENABLED"] = "ENABLED";
})(OptInStatus = exports.OptInStatus || (exports.OptInStatus = {}));
var OpsCenterIntegration;
(function (OpsCenterIntegration) {
    OpsCenterIntegration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OpsCenterIntegration = exports.OpsCenterIntegration || (exports.OpsCenterIntegration = {}));
var ServiceIntegrationConfig;
(function (ServiceIntegrationConfig) {
    ServiceIntegrationConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServiceIntegrationConfig = exports.ServiceIntegrationConfig || (exports.ServiceIntegrationConfig = {}));
var DescribeServiceIntegrationResponse;
(function (DescribeServiceIntegrationResponse) {
    DescribeServiceIntegrationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeServiceIntegrationResponse = exports.DescribeServiceIntegrationResponse || (exports.DescribeServiceIntegrationResponse = {}));
var GetCostEstimationRequest;
(function (GetCostEstimationRequest) {
    GetCostEstimationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetCostEstimationRequest = exports.GetCostEstimationRequest || (exports.GetCostEstimationRequest = {}));
var CostEstimationServiceResourceState;
(function (CostEstimationServiceResourceState) {
    CostEstimationServiceResourceState["ACTIVE"] = "ACTIVE";
    CostEstimationServiceResourceState["INACTIVE"] = "INACTIVE";
})(CostEstimationServiceResourceState = exports.CostEstimationServiceResourceState || (exports.CostEstimationServiceResourceState = {}));
var ServiceResourceCost;
(function (ServiceResourceCost) {
    ServiceResourceCost.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServiceResourceCost = exports.ServiceResourceCost || (exports.ServiceResourceCost = {}));
var CloudFormationCostEstimationResourceCollectionFilter;
(function (CloudFormationCostEstimationResourceCollectionFilter) {
    CloudFormationCostEstimationResourceCollectionFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CloudFormationCostEstimationResourceCollectionFilter = exports.CloudFormationCostEstimationResourceCollectionFilter || (exports.CloudFormationCostEstimationResourceCollectionFilter = {}));
var TagCostEstimationResourceCollectionFilter;
(function (TagCostEstimationResourceCollectionFilter) {
    TagCostEstimationResourceCollectionFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagCostEstimationResourceCollectionFilter = exports.TagCostEstimationResourceCollectionFilter || (exports.TagCostEstimationResourceCollectionFilter = {}));
var CostEstimationResourceCollectionFilter;
(function (CostEstimationResourceCollectionFilter) {
    CostEstimationResourceCollectionFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CostEstimationResourceCollectionFilter = exports.CostEstimationResourceCollectionFilter || (exports.CostEstimationResourceCollectionFilter = {}));
var CostEstimationStatus;
(function (CostEstimationStatus) {
    CostEstimationStatus["COMPLETED"] = "COMPLETED";
    CostEstimationStatus["ONGOING"] = "ONGOING";
})(CostEstimationStatus = exports.CostEstimationStatus || (exports.CostEstimationStatus = {}));
var CostEstimationTimeRange;
(function (CostEstimationTimeRange) {
    CostEstimationTimeRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CostEstimationTimeRange = exports.CostEstimationTimeRange || (exports.CostEstimationTimeRange = {}));
var GetCostEstimationResponse;
(function (GetCostEstimationResponse) {
    GetCostEstimationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetCostEstimationResponse = exports.GetCostEstimationResponse || (exports.GetCostEstimationResponse = {}));
var GetResourceCollectionRequest;
(function (GetResourceCollectionRequest) {
    GetResourceCollectionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResourceCollectionRequest = exports.GetResourceCollectionRequest || (exports.GetResourceCollectionRequest = {}));
var CloudFormationCollectionFilter;
(function (CloudFormationCollectionFilter) {
    CloudFormationCollectionFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CloudFormationCollectionFilter = exports.CloudFormationCollectionFilter || (exports.CloudFormationCollectionFilter = {}));
var TagCollectionFilter;
(function (TagCollectionFilter) {
    TagCollectionFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagCollectionFilter = exports.TagCollectionFilter || (exports.TagCollectionFilter = {}));
var ResourceCollectionFilter;
(function (ResourceCollectionFilter) {
    ResourceCollectionFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResourceCollectionFilter = exports.ResourceCollectionFilter || (exports.ResourceCollectionFilter = {}));
var GetResourceCollectionResponse;
(function (GetResourceCollectionResponse) {
    GetResourceCollectionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResourceCollectionResponse = exports.GetResourceCollectionResponse || (exports.GetResourceCollectionResponse = {}));
var StartTimeRange;
(function (StartTimeRange) {
    StartTimeRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartTimeRange = exports.StartTimeRange || (exports.StartTimeRange = {}));
var ListAnomaliesForInsightRequest;
(function (ListAnomaliesForInsightRequest) {
    ListAnomaliesForInsightRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListAnomaliesForInsightRequest = exports.ListAnomaliesForInsightRequest || (exports.ListAnomaliesForInsightRequest = {}));
var ProactiveAnomalySummary;
(function (ProactiveAnomalySummary) {
    ProactiveAnomalySummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProactiveAnomalySummary = exports.ProactiveAnomalySummary || (exports.ProactiveAnomalySummary = {}));
var ReactiveAnomalySummary;
(function (ReactiveAnomalySummary) {
    ReactiveAnomalySummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ReactiveAnomalySummary = exports.ReactiveAnomalySummary || (exports.ReactiveAnomalySummary = {}));
var ListAnomaliesForInsightResponse;
(function (ListAnomaliesForInsightResponse) {
    ListAnomaliesForInsightResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListAnomaliesForInsightResponse = exports.ListAnomaliesForInsightResponse || (exports.ListAnomaliesForInsightResponse = {}));
var EventDataSource;
(function (EventDataSource) {
    EventDataSource["AWS_CLOUD_TRAIL"] = "AWS_CLOUD_TRAIL";
    EventDataSource["AWS_CODE_DEPLOY"] = "AWS_CODE_DEPLOY";
})(EventDataSource = exports.EventDataSource || (exports.EventDataSource = {}));
var EventClass;
(function (EventClass) {
    EventClass["CONFIG_CHANGE"] = "CONFIG_CHANGE";
    EventClass["DEPLOYMENT"] = "DEPLOYMENT";
    EventClass["INFRASTRUCTURE"] = "INFRASTRUCTURE";
    EventClass["SCHEMA_CHANGE"] = "SCHEMA_CHANGE";
    EventClass["SECURITY_CHANGE"] = "SECURITY_CHANGE";
})(EventClass = exports.EventClass || (exports.EventClass = {}));
var EventTimeRange;
(function (EventTimeRange) {
    EventTimeRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EventTimeRange = exports.EventTimeRange || (exports.EventTimeRange = {}));
var ListEventsFilters;
(function (ListEventsFilters) {
    ListEventsFilters.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListEventsFilters = exports.ListEventsFilters || (exports.ListEventsFilters = {}));
var ListEventsRequest;
(function (ListEventsRequest) {
    ListEventsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListEventsRequest = exports.ListEventsRequest || (exports.ListEventsRequest = {}));
var EventResource;
(function (EventResource) {
    EventResource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EventResource = exports.EventResource || (exports.EventResource = {}));
var Event;
(function (Event) {
    Event.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Event = exports.Event || (exports.Event = {}));
var ListEventsResponse;
(function (ListEventsResponse) {
    ListEventsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListEventsResponse = exports.ListEventsResponse || (exports.ListEventsResponse = {}));
var InsightType;
(function (InsightType) {
    InsightType["PROACTIVE"] = "PROACTIVE";
    InsightType["REACTIVE"] = "REACTIVE";
})(InsightType = exports.InsightType || (exports.InsightType = {}));
var ListInsightsAnyStatusFilter;
(function (ListInsightsAnyStatusFilter) {
    ListInsightsAnyStatusFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListInsightsAnyStatusFilter = exports.ListInsightsAnyStatusFilter || (exports.ListInsightsAnyStatusFilter = {}));
var EndTimeRange;
(function (EndTimeRange) {
    EndTimeRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EndTimeRange = exports.EndTimeRange || (exports.EndTimeRange = {}));
var ListInsightsClosedStatusFilter;
(function (ListInsightsClosedStatusFilter) {
    ListInsightsClosedStatusFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListInsightsClosedStatusFilter = exports.ListInsightsClosedStatusFilter || (exports.ListInsightsClosedStatusFilter = {}));
var ListInsightsOngoingStatusFilter;
(function (ListInsightsOngoingStatusFilter) {
    ListInsightsOngoingStatusFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListInsightsOngoingStatusFilter = exports.ListInsightsOngoingStatusFilter || (exports.ListInsightsOngoingStatusFilter = {}));
var ListInsightsStatusFilter;
(function (ListInsightsStatusFilter) {
    ListInsightsStatusFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListInsightsStatusFilter = exports.ListInsightsStatusFilter || (exports.ListInsightsStatusFilter = {}));
var ListInsightsRequest;
(function (ListInsightsRequest) {
    ListInsightsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListInsightsRequest = exports.ListInsightsRequest || (exports.ListInsightsRequest = {}));
var ServiceCollection;
(function (ServiceCollection) {
    ServiceCollection.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServiceCollection = exports.ServiceCollection || (exports.ServiceCollection = {}));
var ProactiveInsightSummary;
(function (ProactiveInsightSummary) {
    ProactiveInsightSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProactiveInsightSummary = exports.ProactiveInsightSummary || (exports.ProactiveInsightSummary = {}));
var ReactiveInsightSummary;
(function (ReactiveInsightSummary) {
    ReactiveInsightSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ReactiveInsightSummary = exports.ReactiveInsightSummary || (exports.ReactiveInsightSummary = {}));
var ListInsightsResponse;
(function (ListInsightsResponse) {
    ListInsightsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListInsightsResponse = exports.ListInsightsResponse || (exports.ListInsightsResponse = {}));
var ListNotificationChannelsRequest;
(function (ListNotificationChannelsRequest) {
    ListNotificationChannelsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListNotificationChannelsRequest = exports.ListNotificationChannelsRequest || (exports.ListNotificationChannelsRequest = {}));
var NotificationChannel;
(function (NotificationChannel) {
    NotificationChannel.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(NotificationChannel = exports.NotificationChannel || (exports.NotificationChannel = {}));
var ListNotificationChannelsResponse;
(function (ListNotificationChannelsResponse) {
    ListNotificationChannelsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListNotificationChannelsResponse = exports.ListNotificationChannelsResponse || (exports.ListNotificationChannelsResponse = {}));
var ListOrganizationInsightsRequest;
(function (ListOrganizationInsightsRequest) {
    ListOrganizationInsightsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListOrganizationInsightsRequest = exports.ListOrganizationInsightsRequest || (exports.ListOrganizationInsightsRequest = {}));
var ProactiveOrganizationInsightSummary;
(function (ProactiveOrganizationInsightSummary) {
    ProactiveOrganizationInsightSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProactiveOrganizationInsightSummary = exports.ProactiveOrganizationInsightSummary || (exports.ProactiveOrganizationInsightSummary = {}));
var ReactiveOrganizationInsightSummary;
(function (ReactiveOrganizationInsightSummary) {
    ReactiveOrganizationInsightSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ReactiveOrganizationInsightSummary = exports.ReactiveOrganizationInsightSummary || (exports.ReactiveOrganizationInsightSummary = {}));
var ListOrganizationInsightsResponse;
(function (ListOrganizationInsightsResponse) {
    ListOrganizationInsightsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListOrganizationInsightsResponse = exports.ListOrganizationInsightsResponse || (exports.ListOrganizationInsightsResponse = {}));
var Locale;
(function (Locale) {
    Locale["DE_DE"] = "DE_DE";
    Locale["EN_GB"] = "EN_GB";
    Locale["EN_US"] = "EN_US";
    Locale["ES_ES"] = "ES_ES";
    Locale["FR_FR"] = "FR_FR";
    Locale["IT_IT"] = "IT_IT";
    Locale["JA_JP"] = "JA_JP";
    Locale["KO_KR"] = "KO_KR";
    Locale["PT_BR"] = "PT_BR";
    Locale["ZH_CN"] = "ZH_CN";
    Locale["ZH_TW"] = "ZH_TW";
})(Locale = exports.Locale || (exports.Locale = {}));
var ListRecommendationsRequest;
(function (ListRecommendationsRequest) {
    ListRecommendationsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListRecommendationsRequest = exports.ListRecommendationsRequest || (exports.ListRecommendationsRequest = {}));
var RecommendationRelatedAnomalyResource;
(function (RecommendationRelatedAnomalyResource) {
    RecommendationRelatedAnomalyResource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RecommendationRelatedAnomalyResource = exports.RecommendationRelatedAnomalyResource || (exports.RecommendationRelatedAnomalyResource = {}));
var RecommendationRelatedCloudWatchMetricsSourceDetail;
(function (RecommendationRelatedCloudWatchMetricsSourceDetail) {
    RecommendationRelatedCloudWatchMetricsSourceDetail.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RecommendationRelatedCloudWatchMetricsSourceDetail = exports.RecommendationRelatedCloudWatchMetricsSourceDetail || (exports.RecommendationRelatedCloudWatchMetricsSourceDetail = {}));
var RecommendationRelatedAnomalySourceDetail;
(function (RecommendationRelatedAnomalySourceDetail) {
    RecommendationRelatedAnomalySourceDetail.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RecommendationRelatedAnomalySourceDetail = exports.RecommendationRelatedAnomalySourceDetail || (exports.RecommendationRelatedAnomalySourceDetail = {}));
var RecommendationRelatedAnomaly;
(function (RecommendationRelatedAnomaly) {
    RecommendationRelatedAnomaly.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RecommendationRelatedAnomaly = exports.RecommendationRelatedAnomaly || (exports.RecommendationRelatedAnomaly = {}));
var RecommendationRelatedEventResource;
(function (RecommendationRelatedEventResource) {
    RecommendationRelatedEventResource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RecommendationRelatedEventResource = exports.RecommendationRelatedEventResource || (exports.RecommendationRelatedEventResource = {}));
var RecommendationRelatedEvent;
(function (RecommendationRelatedEvent) {
    RecommendationRelatedEvent.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RecommendationRelatedEvent = exports.RecommendationRelatedEvent || (exports.RecommendationRelatedEvent = {}));
var Recommendation;
(function (Recommendation) {
    Recommendation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Recommendation = exports.Recommendation || (exports.Recommendation = {}));
var ListRecommendationsResponse;
(function (ListRecommendationsResponse) {
    ListRecommendationsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListRecommendationsResponse = exports.ListRecommendationsResponse || (exports.ListRecommendationsResponse = {}));
var PutFeedbackRequest;
(function (PutFeedbackRequest) {
    PutFeedbackRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutFeedbackRequest = exports.PutFeedbackRequest || (exports.PutFeedbackRequest = {}));
var PutFeedbackResponse;
(function (PutFeedbackResponse) {
    PutFeedbackResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutFeedbackResponse = exports.PutFeedbackResponse || (exports.PutFeedbackResponse = {}));
var RemoveNotificationChannelRequest;
(function (RemoveNotificationChannelRequest) {
    RemoveNotificationChannelRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RemoveNotificationChannelRequest = exports.RemoveNotificationChannelRequest || (exports.RemoveNotificationChannelRequest = {}));
var RemoveNotificationChannelResponse;
(function (RemoveNotificationChannelResponse) {
    RemoveNotificationChannelResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RemoveNotificationChannelResponse = exports.RemoveNotificationChannelResponse || (exports.RemoveNotificationChannelResponse = {}));
var SearchInsightsFilters;
(function (SearchInsightsFilters) {
    SearchInsightsFilters.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SearchInsightsFilters = exports.SearchInsightsFilters || (exports.SearchInsightsFilters = {}));
var SearchInsightsRequest;
(function (SearchInsightsRequest) {
    SearchInsightsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SearchInsightsRequest = exports.SearchInsightsRequest || (exports.SearchInsightsRequest = {}));
var SearchInsightsResponse;
(function (SearchInsightsResponse) {
    SearchInsightsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SearchInsightsResponse = exports.SearchInsightsResponse || (exports.SearchInsightsResponse = {}));
var SearchOrganizationInsightsFilters;
(function (SearchOrganizationInsightsFilters) {
    SearchOrganizationInsightsFilters.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SearchOrganizationInsightsFilters = exports.SearchOrganizationInsightsFilters || (exports.SearchOrganizationInsightsFilters = {}));
var SearchOrganizationInsightsRequest;
(function (SearchOrganizationInsightsRequest) {
    SearchOrganizationInsightsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SearchOrganizationInsightsRequest = exports.SearchOrganizationInsightsRequest || (exports.SearchOrganizationInsightsRequest = {}));
var SearchOrganizationInsightsResponse;
(function (SearchOrganizationInsightsResponse) {
    SearchOrganizationInsightsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SearchOrganizationInsightsResponse = exports.SearchOrganizationInsightsResponse || (exports.SearchOrganizationInsightsResponse = {}));
var StartCostEstimationRequest;
(function (StartCostEstimationRequest) {
    StartCostEstimationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartCostEstimationRequest = exports.StartCostEstimationRequest || (exports.StartCostEstimationRequest = {}));
var StartCostEstimationResponse;
(function (StartCostEstimationResponse) {
    StartCostEstimationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartCostEstimationResponse = exports.StartCostEstimationResponse || (exports.StartCostEstimationResponse = {}));
var UpdateEventSourcesConfigRequest;
(function (UpdateEventSourcesConfigRequest) {
    UpdateEventSourcesConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateEventSourcesConfigRequest = exports.UpdateEventSourcesConfigRequest || (exports.UpdateEventSourcesConfigRequest = {}));
var UpdateEventSourcesConfigResponse;
(function (UpdateEventSourcesConfigResponse) {
    UpdateEventSourcesConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateEventSourcesConfigResponse = exports.UpdateEventSourcesConfigResponse || (exports.UpdateEventSourcesConfigResponse = {}));
var UpdateResourceCollectionAction;
(function (UpdateResourceCollectionAction) {
    UpdateResourceCollectionAction["ADD"] = "ADD";
    UpdateResourceCollectionAction["REMOVE"] = "REMOVE";
})(UpdateResourceCollectionAction = exports.UpdateResourceCollectionAction || (exports.UpdateResourceCollectionAction = {}));
var UpdateCloudFormationCollectionFilter;
(function (UpdateCloudFormationCollectionFilter) {
    UpdateCloudFormationCollectionFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateCloudFormationCollectionFilter = exports.UpdateCloudFormationCollectionFilter || (exports.UpdateCloudFormationCollectionFilter = {}));
var UpdateTagCollectionFilter;
(function (UpdateTagCollectionFilter) {
    UpdateTagCollectionFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTagCollectionFilter = exports.UpdateTagCollectionFilter || (exports.UpdateTagCollectionFilter = {}));
var UpdateResourceCollectionFilter;
(function (UpdateResourceCollectionFilter) {
    UpdateResourceCollectionFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateResourceCollectionFilter = exports.UpdateResourceCollectionFilter || (exports.UpdateResourceCollectionFilter = {}));
var UpdateResourceCollectionRequest;
(function (UpdateResourceCollectionRequest) {
    UpdateResourceCollectionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateResourceCollectionRequest = exports.UpdateResourceCollectionRequest || (exports.UpdateResourceCollectionRequest = {}));
var UpdateResourceCollectionResponse;
(function (UpdateResourceCollectionResponse) {
    UpdateResourceCollectionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateResourceCollectionResponse = exports.UpdateResourceCollectionResponse || (exports.UpdateResourceCollectionResponse = {}));
var OpsCenterIntegrationConfig;
(function (OpsCenterIntegrationConfig) {
    OpsCenterIntegrationConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OpsCenterIntegrationConfig = exports.OpsCenterIntegrationConfig || (exports.OpsCenterIntegrationConfig = {}));
var UpdateServiceIntegrationConfig;
(function (UpdateServiceIntegrationConfig) {
    UpdateServiceIntegrationConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateServiceIntegrationConfig = exports.UpdateServiceIntegrationConfig || (exports.UpdateServiceIntegrationConfig = {}));
var UpdateServiceIntegrationRequest;
(function (UpdateServiceIntegrationRequest) {
    UpdateServiceIntegrationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateServiceIntegrationRequest = exports.UpdateServiceIntegrationRequest || (exports.UpdateServiceIntegrationRequest = {}));
var UpdateServiceIntegrationResponse;
(function (UpdateServiceIntegrationResponse) {
    UpdateServiceIntegrationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateServiceIntegrationResponse = exports.UpdateServiceIntegrationResponse || (exports.UpdateServiceIntegrationResponse = {}));
