"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateGetCostEstimation = void 0;
const GetCostEstimationCommand_1 = require("../commands/GetCostEstimationCommand");
const DevOpsGuru_1 = require("../DevOpsGuru");
const DevOpsGuruClient_1 = require("../DevOpsGuruClient");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new GetCostEstimationCommand_1.GetCostEstimationCommand(input), ...args);
};
const makePagedRequest = async (client, input, ...args) => {
    return await client.getCostEstimation(input, ...args);
};
async function* paginateGetCostEstimation(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        if (config.client instanceof DevOpsGuru_1.DevOpsGuru) {
            page = await makePagedRequest(config.client, input, ...additionalArguments);
        }
        else if (config.client instanceof DevOpsGuruClient_1.DevOpsGuruClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected DevOpsGuru | DevOpsGuruClient");
        }
        yield page;
        token = page.NextToken;
        hasNext = !!token;
    }
    return undefined;
}
exports.paginateGetCostEstimation = paginateGetCostEstimation;
