import { __extends } from "tslib";
import { AddNotificationChannelCommand, } from "./commands/AddNotificationChannelCommand";
import { DeleteInsightCommand, } from "./commands/DeleteInsightCommand";
import { DescribeAccountHealthCommand, } from "./commands/DescribeAccountHealthCommand";
import { DescribeAccountOverviewCommand, } from "./commands/DescribeAccountOverviewCommand";
import { DescribeAnomalyCommand, } from "./commands/DescribeAnomalyCommand";
import { DescribeEventSourcesConfigCommand, } from "./commands/DescribeEventSourcesConfigCommand";
import { DescribeFeedbackCommand, } from "./commands/DescribeFeedbackCommand";
import { DescribeInsightCommand, } from "./commands/DescribeInsightCommand";
import { DescribeOrganizationHealthCommand, } from "./commands/DescribeOrganizationHealthCommand";
import { DescribeOrganizationOverviewCommand, } from "./commands/DescribeOrganizationOverviewCommand";
import { DescribeOrganizationResourceCollectionHealthCommand, } from "./commands/DescribeOrganizationResourceCollectionHealthCommand";
import { DescribeResourceCollectionHealthCommand, } from "./commands/DescribeResourceCollectionHealthCommand";
import { DescribeServiceIntegrationCommand, } from "./commands/DescribeServiceIntegrationCommand";
import { GetCostEstimationCommand, } from "./commands/GetCostEstimationCommand";
import { GetResourceCollectionCommand, } from "./commands/GetResourceCollectionCommand";
import { ListAnomaliesForInsightCommand, } from "./commands/ListAnomaliesForInsightCommand";
import { ListEventsCommand } from "./commands/ListEventsCommand";
import { ListInsightsCommand, } from "./commands/ListInsightsCommand";
import { ListNotificationChannelsCommand, } from "./commands/ListNotificationChannelsCommand";
import { ListOrganizationInsightsCommand, } from "./commands/ListOrganizationInsightsCommand";
import { ListRecommendationsCommand, } from "./commands/ListRecommendationsCommand";
import { PutFeedbackCommand } from "./commands/PutFeedbackCommand";
import { RemoveNotificationChannelCommand, } from "./commands/RemoveNotificationChannelCommand";
import { SearchInsightsCommand, } from "./commands/SearchInsightsCommand";
import { SearchOrganizationInsightsCommand, } from "./commands/SearchOrganizationInsightsCommand";
import { StartCostEstimationCommand, } from "./commands/StartCostEstimationCommand";
import { UpdateEventSourcesConfigCommand, } from "./commands/UpdateEventSourcesConfigCommand";
import { UpdateResourceCollectionCommand, } from "./commands/UpdateResourceCollectionCommand";
import { UpdateServiceIntegrationCommand, } from "./commands/UpdateServiceIntegrationCommand";
import { DevOpsGuruClient } from "./DevOpsGuruClient";
var DevOpsGuru = (function (_super) {
    __extends(DevOpsGuru, _super);
    function DevOpsGuru() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DevOpsGuru.prototype.addNotificationChannel = function (args, optionsOrCb, cb) {
        var command = new AddNotificationChannelCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.deleteInsight = function (args, optionsOrCb, cb) {
        var command = new DeleteInsightCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.describeAccountHealth = function (args, optionsOrCb, cb) {
        var command = new DescribeAccountHealthCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.describeAccountOverview = function (args, optionsOrCb, cb) {
        var command = new DescribeAccountOverviewCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.describeAnomaly = function (args, optionsOrCb, cb) {
        var command = new DescribeAnomalyCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.describeEventSourcesConfig = function (args, optionsOrCb, cb) {
        var command = new DescribeEventSourcesConfigCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.describeFeedback = function (args, optionsOrCb, cb) {
        var command = new DescribeFeedbackCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.describeInsight = function (args, optionsOrCb, cb) {
        var command = new DescribeInsightCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.describeOrganizationHealth = function (args, optionsOrCb, cb) {
        var command = new DescribeOrganizationHealthCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.describeOrganizationOverview = function (args, optionsOrCb, cb) {
        var command = new DescribeOrganizationOverviewCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.describeOrganizationResourceCollectionHealth = function (args, optionsOrCb, cb) {
        var command = new DescribeOrganizationResourceCollectionHealthCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.describeResourceCollectionHealth = function (args, optionsOrCb, cb) {
        var command = new DescribeResourceCollectionHealthCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.describeServiceIntegration = function (args, optionsOrCb, cb) {
        var command = new DescribeServiceIntegrationCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.getCostEstimation = function (args, optionsOrCb, cb) {
        var command = new GetCostEstimationCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.getResourceCollection = function (args, optionsOrCb, cb) {
        var command = new GetResourceCollectionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.listAnomaliesForInsight = function (args, optionsOrCb, cb) {
        var command = new ListAnomaliesForInsightCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.listEvents = function (args, optionsOrCb, cb) {
        var command = new ListEventsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.listInsights = function (args, optionsOrCb, cb) {
        var command = new ListInsightsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.listNotificationChannels = function (args, optionsOrCb, cb) {
        var command = new ListNotificationChannelsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.listOrganizationInsights = function (args, optionsOrCb, cb) {
        var command = new ListOrganizationInsightsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.listRecommendations = function (args, optionsOrCb, cb) {
        var command = new ListRecommendationsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.putFeedback = function (args, optionsOrCb, cb) {
        var command = new PutFeedbackCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.removeNotificationChannel = function (args, optionsOrCb, cb) {
        var command = new RemoveNotificationChannelCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.searchInsights = function (args, optionsOrCb, cb) {
        var command = new SearchInsightsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.searchOrganizationInsights = function (args, optionsOrCb, cb) {
        var command = new SearchOrganizationInsightsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.startCostEstimation = function (args, optionsOrCb, cb) {
        var command = new StartCostEstimationCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.updateEventSourcesConfig = function (args, optionsOrCb, cb) {
        var command = new UpdateEventSourcesConfigCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.updateResourceCollection = function (args, optionsOrCb, cb) {
        var command = new UpdateResourceCollectionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DevOpsGuru.prototype.updateServiceIntegration = function (args, optionsOrCb, cb) {
        var command = new UpdateServiceIntegrationCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    return DevOpsGuru;
}(DevOpsGuruClient));
export { DevOpsGuru };
