import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AddNotificationChannelRequest, AddNotificationChannelResponse } from "../models/models_0";
import { deserializeAws_restJson1AddNotificationChannelCommand, serializeAws_restJson1AddNotificationChannelCommand, } from "../protocols/Aws_restJson1";
var AddNotificationChannelCommand = (function (_super) {
    __extends(AddNotificationChannelCommand, _super);
    function AddNotificationChannelCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AddNotificationChannelCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "AddNotificationChannelCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AddNotificationChannelRequest.filterSensitiveLog,
            outputFilterSensitiveLog: AddNotificationChannelResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AddNotificationChannelCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1AddNotificationChannelCommand(input, context);
    };
    AddNotificationChannelCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1AddNotificationChannelCommand(output, context);
    };
    return AddNotificationChannelCommand;
}($Command));
export { AddNotificationChannelCommand };
