import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteInsightRequest, DeleteInsightResponse } from "../models/models_0";
import { deserializeAws_restJson1DeleteInsightCommand, serializeAws_restJson1DeleteInsightCommand, } from "../protocols/Aws_restJson1";
var DeleteInsightCommand = (function (_super) {
    __extends(DeleteInsightCommand, _super);
    function DeleteInsightCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteInsightCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "DeleteInsightCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteInsightRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteInsightResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteInsightCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DeleteInsightCommand(input, context);
    };
    DeleteInsightCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DeleteInsightCommand(output, context);
    };
    return DeleteInsightCommand;
}($Command));
export { DeleteInsightCommand };
