import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeAccountHealthRequest, DescribeAccountHealthResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeAccountHealthCommand, serializeAws_restJson1DescribeAccountHealthCommand, } from "../protocols/Aws_restJson1";
var DescribeAccountHealthCommand = (function (_super) {
    __extends(DescribeAccountHealthCommand, _super);
    function DescribeAccountHealthCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeAccountHealthCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "DescribeAccountHealthCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeAccountHealthRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeAccountHealthResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeAccountHealthCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeAccountHealthCommand(input, context);
    };
    DescribeAccountHealthCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeAccountHealthCommand(output, context);
    };
    return DescribeAccountHealthCommand;
}($Command));
export { DescribeAccountHealthCommand };
