import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeAccountOverviewRequest, DescribeAccountOverviewResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeAccountOverviewCommand, serializeAws_restJson1DescribeAccountOverviewCommand, } from "../protocols/Aws_restJson1";
var DescribeAccountOverviewCommand = (function (_super) {
    __extends(DescribeAccountOverviewCommand, _super);
    function DescribeAccountOverviewCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeAccountOverviewCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "DescribeAccountOverviewCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeAccountOverviewRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeAccountOverviewResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeAccountOverviewCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeAccountOverviewCommand(input, context);
    };
    DescribeAccountOverviewCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeAccountOverviewCommand(output, context);
    };
    return DescribeAccountOverviewCommand;
}($Command));
export { DescribeAccountOverviewCommand };
