import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeEventSourcesConfigRequest, DescribeEventSourcesConfigResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeEventSourcesConfigCommand, serializeAws_restJson1DescribeEventSourcesConfigCommand, } from "../protocols/Aws_restJson1";
var DescribeEventSourcesConfigCommand = (function (_super) {
    __extends(DescribeEventSourcesConfigCommand, _super);
    function DescribeEventSourcesConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeEventSourcesConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "DescribeEventSourcesConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeEventSourcesConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeEventSourcesConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeEventSourcesConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeEventSourcesConfigCommand(input, context);
    };
    DescribeEventSourcesConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeEventSourcesConfigCommand(output, context);
    };
    return DescribeEventSourcesConfigCommand;
}($Command));
export { DescribeEventSourcesConfigCommand };
