import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeFeedbackRequest, DescribeFeedbackResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeFeedbackCommand, serializeAws_restJson1DescribeFeedbackCommand, } from "../protocols/Aws_restJson1";
var DescribeFeedbackCommand = (function (_super) {
    __extends(DescribeFeedbackCommand, _super);
    function DescribeFeedbackCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeFeedbackCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "DescribeFeedbackCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeFeedbackRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeFeedbackResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeFeedbackCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeFeedbackCommand(input, context);
    };
    DescribeFeedbackCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeFeedbackCommand(output, context);
    };
    return DescribeFeedbackCommand;
}($Command));
export { DescribeFeedbackCommand };
