import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeInsightRequest, DescribeInsightResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeInsightCommand, serializeAws_restJson1DescribeInsightCommand, } from "../protocols/Aws_restJson1";
var DescribeInsightCommand = (function (_super) {
    __extends(DescribeInsightCommand, _super);
    function DescribeInsightCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeInsightCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "DescribeInsightCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeInsightRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeInsightResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeInsightCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeInsightCommand(input, context);
    };
    DescribeInsightCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeInsightCommand(output, context);
    };
    return DescribeInsightCommand;
}($Command));
export { DescribeInsightCommand };
