import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeOrganizationHealthRequest, DescribeOrganizationHealthResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeOrganizationHealthCommand, serializeAws_restJson1DescribeOrganizationHealthCommand, } from "../protocols/Aws_restJson1";
var DescribeOrganizationHealthCommand = (function (_super) {
    __extends(DescribeOrganizationHealthCommand, _super);
    function DescribeOrganizationHealthCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeOrganizationHealthCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "DescribeOrganizationHealthCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeOrganizationHealthRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeOrganizationHealthResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeOrganizationHealthCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeOrganizationHealthCommand(input, context);
    };
    DescribeOrganizationHealthCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeOrganizationHealthCommand(output, context);
    };
    return DescribeOrganizationHealthCommand;
}($Command));
export { DescribeOrganizationHealthCommand };
