import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeOrganizationOverviewRequest, DescribeOrganizationOverviewResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeOrganizationOverviewCommand, serializeAws_restJson1DescribeOrganizationOverviewCommand, } from "../protocols/Aws_restJson1";
var DescribeOrganizationOverviewCommand = (function (_super) {
    __extends(DescribeOrganizationOverviewCommand, _super);
    function DescribeOrganizationOverviewCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeOrganizationOverviewCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "DescribeOrganizationOverviewCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeOrganizationOverviewRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeOrganizationOverviewResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeOrganizationOverviewCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeOrganizationOverviewCommand(input, context);
    };
    DescribeOrganizationOverviewCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeOrganizationOverviewCommand(output, context);
    };
    return DescribeOrganizationOverviewCommand;
}($Command));
export { DescribeOrganizationOverviewCommand };
