import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeOrganizationResourceCollectionHealthRequest, DescribeOrganizationResourceCollectionHealthResponse, } from "../models/models_0";
import { deserializeAws_restJson1DescribeOrganizationResourceCollectionHealthCommand, serializeAws_restJson1DescribeOrganizationResourceCollectionHealthCommand, } from "../protocols/Aws_restJson1";
var DescribeOrganizationResourceCollectionHealthCommand = (function (_super) {
    __extends(DescribeOrganizationResourceCollectionHealthCommand, _super);
    function DescribeOrganizationResourceCollectionHealthCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeOrganizationResourceCollectionHealthCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "DescribeOrganizationResourceCollectionHealthCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeOrganizationResourceCollectionHealthRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeOrganizationResourceCollectionHealthResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeOrganizationResourceCollectionHealthCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeOrganizationResourceCollectionHealthCommand(input, context);
    };
    DescribeOrganizationResourceCollectionHealthCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeOrganizationResourceCollectionHealthCommand(output, context);
    };
    return DescribeOrganizationResourceCollectionHealthCommand;
}($Command));
export { DescribeOrganizationResourceCollectionHealthCommand };
