import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeResourceCollectionHealthRequest, DescribeResourceCollectionHealthResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeResourceCollectionHealthCommand, serializeAws_restJson1DescribeResourceCollectionHealthCommand, } from "../protocols/Aws_restJson1";
var DescribeResourceCollectionHealthCommand = (function (_super) {
    __extends(DescribeResourceCollectionHealthCommand, _super);
    function DescribeResourceCollectionHealthCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeResourceCollectionHealthCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "DescribeResourceCollectionHealthCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeResourceCollectionHealthRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeResourceCollectionHealthResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeResourceCollectionHealthCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeResourceCollectionHealthCommand(input, context);
    };
    DescribeResourceCollectionHealthCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeResourceCollectionHealthCommand(output, context);
    };
    return DescribeResourceCollectionHealthCommand;
}($Command));
export { DescribeResourceCollectionHealthCommand };
