import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeServiceIntegrationRequest, DescribeServiceIntegrationResponse } from "../models/models_0";
import { deserializeAws_restJson1DescribeServiceIntegrationCommand, serializeAws_restJson1DescribeServiceIntegrationCommand, } from "../protocols/Aws_restJson1";
var DescribeServiceIntegrationCommand = (function (_super) {
    __extends(DescribeServiceIntegrationCommand, _super);
    function DescribeServiceIntegrationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeServiceIntegrationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "DescribeServiceIntegrationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeServiceIntegrationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeServiceIntegrationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeServiceIntegrationCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1DescribeServiceIntegrationCommand(input, context);
    };
    DescribeServiceIntegrationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1DescribeServiceIntegrationCommand(output, context);
    };
    return DescribeServiceIntegrationCommand;
}($Command));
export { DescribeServiceIntegrationCommand };
