import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetCostEstimationRequest, GetCostEstimationResponse } from "../models/models_0";
import { deserializeAws_restJson1GetCostEstimationCommand, serializeAws_restJson1GetCostEstimationCommand, } from "../protocols/Aws_restJson1";
var GetCostEstimationCommand = (function (_super) {
    __extends(GetCostEstimationCommand, _super);
    function GetCostEstimationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetCostEstimationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "GetCostEstimationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetCostEstimationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetCostEstimationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetCostEstimationCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1GetCostEstimationCommand(input, context);
    };
    GetCostEstimationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1GetCostEstimationCommand(output, context);
    };
    return GetCostEstimationCommand;
}($Command));
export { GetCostEstimationCommand };
