import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetResourceCollectionRequest, GetResourceCollectionResponse } from "../models/models_0";
import { deserializeAws_restJson1GetResourceCollectionCommand, serializeAws_restJson1GetResourceCollectionCommand, } from "../protocols/Aws_restJson1";
var GetResourceCollectionCommand = (function (_super) {
    __extends(GetResourceCollectionCommand, _super);
    function GetResourceCollectionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetResourceCollectionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "GetResourceCollectionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetResourceCollectionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetResourceCollectionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetResourceCollectionCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1GetResourceCollectionCommand(input, context);
    };
    GetResourceCollectionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1GetResourceCollectionCommand(output, context);
    };
    return GetResourceCollectionCommand;
}($Command));
export { GetResourceCollectionCommand };
