import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListAnomaliesForInsightRequest, ListAnomaliesForInsightResponse } from "../models/models_0";
import { deserializeAws_restJson1ListAnomaliesForInsightCommand, serializeAws_restJson1ListAnomaliesForInsightCommand, } from "../protocols/Aws_restJson1";
var ListAnomaliesForInsightCommand = (function (_super) {
    __extends(ListAnomaliesForInsightCommand, _super);
    function ListAnomaliesForInsightCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListAnomaliesForInsightCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "ListAnomaliesForInsightCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListAnomaliesForInsightRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListAnomaliesForInsightResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListAnomaliesForInsightCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListAnomaliesForInsightCommand(input, context);
    };
    ListAnomaliesForInsightCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListAnomaliesForInsightCommand(output, context);
    };
    return ListAnomaliesForInsightCommand;
}($Command));
export { ListAnomaliesForInsightCommand };
