import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListEventsRequest, ListEventsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListEventsCommand, serializeAws_restJson1ListEventsCommand, } from "../protocols/Aws_restJson1";
var ListEventsCommand = (function (_super) {
    __extends(ListEventsCommand, _super);
    function ListEventsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListEventsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "ListEventsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListEventsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListEventsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListEventsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListEventsCommand(input, context);
    };
    ListEventsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListEventsCommand(output, context);
    };
    return ListEventsCommand;
}($Command));
export { ListEventsCommand };
