import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListNotificationChannelsRequest, ListNotificationChannelsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListNotificationChannelsCommand, serializeAws_restJson1ListNotificationChannelsCommand, } from "../protocols/Aws_restJson1";
var ListNotificationChannelsCommand = (function (_super) {
    __extends(ListNotificationChannelsCommand, _super);
    function ListNotificationChannelsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListNotificationChannelsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "ListNotificationChannelsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListNotificationChannelsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListNotificationChannelsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListNotificationChannelsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListNotificationChannelsCommand(input, context);
    };
    ListNotificationChannelsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListNotificationChannelsCommand(output, context);
    };
    return ListNotificationChannelsCommand;
}($Command));
export { ListNotificationChannelsCommand };
