import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListOrganizationInsightsRequest, ListOrganizationInsightsResponse } from "../models/models_0";
import { deserializeAws_restJson1ListOrganizationInsightsCommand, serializeAws_restJson1ListOrganizationInsightsCommand, } from "../protocols/Aws_restJson1";
var ListOrganizationInsightsCommand = (function (_super) {
    __extends(ListOrganizationInsightsCommand, _super);
    function ListOrganizationInsightsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListOrganizationInsightsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "ListOrganizationInsightsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListOrganizationInsightsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListOrganizationInsightsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListOrganizationInsightsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1ListOrganizationInsightsCommand(input, context);
    };
    ListOrganizationInsightsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1ListOrganizationInsightsCommand(output, context);
    };
    return ListOrganizationInsightsCommand;
}($Command));
export { ListOrganizationInsightsCommand };
