import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { PutFeedbackRequest, PutFeedbackResponse } from "../models/models_0";
import { deserializeAws_restJson1PutFeedbackCommand, serializeAws_restJson1PutFeedbackCommand, } from "../protocols/Aws_restJson1";
var PutFeedbackCommand = (function (_super) {
    __extends(PutFeedbackCommand, _super);
    function PutFeedbackCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    PutFeedbackCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "PutFeedbackCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: PutFeedbackRequest.filterSensitiveLog,
            outputFilterSensitiveLog: PutFeedbackResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    PutFeedbackCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1PutFeedbackCommand(input, context);
    };
    PutFeedbackCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1PutFeedbackCommand(output, context);
    };
    return PutFeedbackCommand;
}($Command));
export { PutFeedbackCommand };
