import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { RemoveNotificationChannelRequest, RemoveNotificationChannelResponse } from "../models/models_0";
import { deserializeAws_restJson1RemoveNotificationChannelCommand, serializeAws_restJson1RemoveNotificationChannelCommand, } from "../protocols/Aws_restJson1";
var RemoveNotificationChannelCommand = (function (_super) {
    __extends(RemoveNotificationChannelCommand, _super);
    function RemoveNotificationChannelCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    RemoveNotificationChannelCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "RemoveNotificationChannelCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: RemoveNotificationChannelRequest.filterSensitiveLog,
            outputFilterSensitiveLog: RemoveNotificationChannelResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    RemoveNotificationChannelCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1RemoveNotificationChannelCommand(input, context);
    };
    RemoveNotificationChannelCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1RemoveNotificationChannelCommand(output, context);
    };
    return RemoveNotificationChannelCommand;
}($Command));
export { RemoveNotificationChannelCommand };
