import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SearchInsightsRequest, SearchInsightsResponse } from "../models/models_0";
import { deserializeAws_restJson1SearchInsightsCommand, serializeAws_restJson1SearchInsightsCommand, } from "../protocols/Aws_restJson1";
var SearchInsightsCommand = (function (_super) {
    __extends(SearchInsightsCommand, _super);
    function SearchInsightsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SearchInsightsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "SearchInsightsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SearchInsightsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: SearchInsightsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SearchInsightsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1SearchInsightsCommand(input, context);
    };
    SearchInsightsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1SearchInsightsCommand(output, context);
    };
    return SearchInsightsCommand;
}($Command));
export { SearchInsightsCommand };
