import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SearchOrganizationInsightsRequest, SearchOrganizationInsightsResponse } from "../models/models_0";
import { deserializeAws_restJson1SearchOrganizationInsightsCommand, serializeAws_restJson1SearchOrganizationInsightsCommand, } from "../protocols/Aws_restJson1";
var SearchOrganizationInsightsCommand = (function (_super) {
    __extends(SearchOrganizationInsightsCommand, _super);
    function SearchOrganizationInsightsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SearchOrganizationInsightsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "SearchOrganizationInsightsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SearchOrganizationInsightsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: SearchOrganizationInsightsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SearchOrganizationInsightsCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1SearchOrganizationInsightsCommand(input, context);
    };
    SearchOrganizationInsightsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1SearchOrganizationInsightsCommand(output, context);
    };
    return SearchOrganizationInsightsCommand;
}($Command));
export { SearchOrganizationInsightsCommand };
