import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StartCostEstimationRequest, StartCostEstimationResponse } from "../models/models_0";
import { deserializeAws_restJson1StartCostEstimationCommand, serializeAws_restJson1StartCostEstimationCommand, } from "../protocols/Aws_restJson1";
var StartCostEstimationCommand = (function (_super) {
    __extends(StartCostEstimationCommand, _super);
    function StartCostEstimationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StartCostEstimationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "StartCostEstimationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StartCostEstimationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: StartCostEstimationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StartCostEstimationCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1StartCostEstimationCommand(input, context);
    };
    StartCostEstimationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1StartCostEstimationCommand(output, context);
    };
    return StartCostEstimationCommand;
}($Command));
export { StartCostEstimationCommand };
