import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateEventSourcesConfigRequest, UpdateEventSourcesConfigResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateEventSourcesConfigCommand, serializeAws_restJson1UpdateEventSourcesConfigCommand, } from "../protocols/Aws_restJson1";
var UpdateEventSourcesConfigCommand = (function (_super) {
    __extends(UpdateEventSourcesConfigCommand, _super);
    function UpdateEventSourcesConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateEventSourcesConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "UpdateEventSourcesConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateEventSourcesConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateEventSourcesConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateEventSourcesConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateEventSourcesConfigCommand(input, context);
    };
    UpdateEventSourcesConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateEventSourcesConfigCommand(output, context);
    };
    return UpdateEventSourcesConfigCommand;
}($Command));
export { UpdateEventSourcesConfigCommand };
