import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateResourceCollectionRequest, UpdateResourceCollectionResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateResourceCollectionCommand, serializeAws_restJson1UpdateResourceCollectionCommand, } from "../protocols/Aws_restJson1";
var UpdateResourceCollectionCommand = (function (_super) {
    __extends(UpdateResourceCollectionCommand, _super);
    function UpdateResourceCollectionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateResourceCollectionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "UpdateResourceCollectionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateResourceCollectionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateResourceCollectionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateResourceCollectionCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateResourceCollectionCommand(input, context);
    };
    UpdateResourceCollectionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateResourceCollectionCommand(output, context);
    };
    return UpdateResourceCollectionCommand;
}($Command));
export { UpdateResourceCollectionCommand };
