import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateServiceIntegrationRequest, UpdateServiceIntegrationResponse } from "../models/models_0";
import { deserializeAws_restJson1UpdateServiceIntegrationCommand, serializeAws_restJson1UpdateServiceIntegrationCommand, } from "../protocols/Aws_restJson1";
var UpdateServiceIntegrationCommand = (function (_super) {
    __extends(UpdateServiceIntegrationCommand, _super);
    function UpdateServiceIntegrationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateServiceIntegrationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DevOpsGuruClient";
        var commandName = "UpdateServiceIntegrationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateServiceIntegrationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateServiceIntegrationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateServiceIntegrationCommand.prototype.serialize = function (input, context) {
        return serializeAws_restJson1UpdateServiceIntegrationCommand(input, context);
    };
    UpdateServiceIntegrationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_restJson1UpdateServiceIntegrationCommand(output, context);
    };
    return UpdateServiceIntegrationCommand;
}($Command));
export { UpdateServiceIntegrationCommand };
