import { __assign, __extends } from "tslib";
import { DevOpsGuruServiceException as __BaseException } from "./DevOpsGuruServiceException";
var AccessDeniedException = (function (_super) {
    __extends(AccessDeniedException, _super);
    function AccessDeniedException(opts) {
        var _this = _super.call(this, __assign({ name: "AccessDeniedException", $fault: "client" }, opts)) || this;
        _this.name = "AccessDeniedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, AccessDeniedException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return AccessDeniedException;
}(__BaseException));
export { AccessDeniedException };
export var AccountInsightHealth;
(function (AccountInsightHealth) {
    AccountInsightHealth.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AccountInsightHealth || (AccountInsightHealth = {}));
export var AccountHealth;
(function (AccountHealth) {
    AccountHealth.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AccountHealth || (AccountHealth = {}));
export var SnsChannelConfig;
(function (SnsChannelConfig) {
    SnsChannelConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SnsChannelConfig || (SnsChannelConfig = {}));
export var NotificationChannelConfig;
(function (NotificationChannelConfig) {
    NotificationChannelConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(NotificationChannelConfig || (NotificationChannelConfig = {}));
export var AddNotificationChannelRequest;
(function (AddNotificationChannelRequest) {
    AddNotificationChannelRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AddNotificationChannelRequest || (AddNotificationChannelRequest = {}));
export var AddNotificationChannelResponse;
(function (AddNotificationChannelResponse) {
    AddNotificationChannelResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AddNotificationChannelResponse || (AddNotificationChannelResponse = {}));
var ConflictException = (function (_super) {
    __extends(ConflictException, _super);
    function ConflictException(opts) {
        var _this = _super.call(this, __assign({ name: "ConflictException", $fault: "client" }, opts)) || this;
        _this.name = "ConflictException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ConflictException.prototype);
        _this.Message = opts.Message;
        _this.ResourceId = opts.ResourceId;
        _this.ResourceType = opts.ResourceType;
        return _this;
    }
    return ConflictException;
}(__BaseException));
export { ConflictException };
var InternalServerException = (function (_super) {
    __extends(InternalServerException, _super);
    function InternalServerException(opts) {
        var _this = _super.call(this, __assign({ name: "InternalServerException", $fault: "server" }, opts)) || this;
        _this.name = "InternalServerException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, InternalServerException.prototype);
        _this.Message = opts.Message;
        _this.RetryAfterSeconds = opts.RetryAfterSeconds;
        return _this;
    }
    return InternalServerException;
}(__BaseException));
export { InternalServerException };
var ResourceNotFoundException = (function (_super) {
    __extends(ResourceNotFoundException, _super);
    function ResourceNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "ResourceNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceNotFoundException.prototype);
        _this.Message = opts.Message;
        _this.ResourceId = opts.ResourceId;
        _this.ResourceType = opts.ResourceType;
        return _this;
    }
    return ResourceNotFoundException;
}(__BaseException));
export { ResourceNotFoundException };
var ServiceQuotaExceededException = (function (_super) {
    __extends(ServiceQuotaExceededException, _super);
    function ServiceQuotaExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "ServiceQuotaExceededException", $fault: "client" }, opts)) || this;
        _this.name = "ServiceQuotaExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ServiceQuotaExceededException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ServiceQuotaExceededException;
}(__BaseException));
export { ServiceQuotaExceededException };
var ThrottlingException = (function (_super) {
    __extends(ThrottlingException, _super);
    function ThrottlingException(opts) {
        var _this = _super.call(this, __assign({ name: "ThrottlingException", $fault: "client" }, opts)) || this;
        _this.name = "ThrottlingException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ThrottlingException.prototype);
        _this.Message = opts.Message;
        _this.QuotaCode = opts.QuotaCode;
        _this.ServiceCode = opts.ServiceCode;
        _this.RetryAfterSeconds = opts.RetryAfterSeconds;
        return _this;
    }
    return ThrottlingException;
}(__BaseException));
export { ThrottlingException };
export var ValidationExceptionField;
(function (ValidationExceptionField) {
    ValidationExceptionField.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ValidationExceptionField || (ValidationExceptionField = {}));
export var ValidationExceptionReason;
(function (ValidationExceptionReason) {
    ValidationExceptionReason["CANNOT_PARSE"] = "CANNOT_PARSE";
    ValidationExceptionReason["FIELD_VALIDATION_FAILED"] = "FIELD_VALIDATION_FAILED";
    ValidationExceptionReason["INVALID_PARAMETER_COMBINATION"] = "INVALID_PARAMETER_COMBINATION";
    ValidationExceptionReason["OTHER"] = "OTHER";
    ValidationExceptionReason["PARAMETER_INCONSISTENT_WITH_SERVICE_STATE"] = "PARAMETER_INCONSISTENT_WITH_SERVICE_STATE";
    ValidationExceptionReason["UNKNOWN_OPERATION"] = "UNKNOWN_OPERATION";
})(ValidationExceptionReason || (ValidationExceptionReason = {}));
var ValidationException = (function (_super) {
    __extends(ValidationException, _super);
    function ValidationException(opts) {
        var _this = _super.call(this, __assign({ name: "ValidationException", $fault: "client" }, opts)) || this;
        _this.name = "ValidationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ValidationException.prototype);
        _this.Message = opts.Message;
        _this.Reason = opts.Reason;
        _this.Fields = opts.Fields;
        return _this;
    }
    return ValidationException;
}(__BaseException));
export { ValidationException };
export var EventSourceOptInStatus;
(function (EventSourceOptInStatus) {
    EventSourceOptInStatus["DISABLED"] = "DISABLED";
    EventSourceOptInStatus["ENABLED"] = "ENABLED";
})(EventSourceOptInStatus || (EventSourceOptInStatus = {}));
export var AmazonCodeGuruProfilerIntegration;
(function (AmazonCodeGuruProfilerIntegration) {
    AmazonCodeGuruProfilerIntegration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AmazonCodeGuruProfilerIntegration || (AmazonCodeGuruProfilerIntegration = {}));
export var AnomalyReportedTimeRange;
(function (AnomalyReportedTimeRange) {
    AnomalyReportedTimeRange.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AnomalyReportedTimeRange || (AnomalyReportedTimeRange = {}));
export var AnomalyResource;
(function (AnomalyResource) {
    AnomalyResource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AnomalyResource || (AnomalyResource = {}));
export var AnomalySeverity;
(function (AnomalySeverity) {
    AnomalySeverity["HIGH"] = "HIGH";
    AnomalySeverity["LOW"] = "LOW";
    AnomalySeverity["MEDIUM"] = "MEDIUM";
})(AnomalySeverity || (AnomalySeverity = {}));
export var CloudWatchMetricsDimension;
(function (CloudWatchMetricsDimension) {
    CloudWatchMetricsDimension.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CloudWatchMetricsDimension || (CloudWatchMetricsDimension = {}));
export var CloudWatchMetricDataStatusCode;
(function (CloudWatchMetricDataStatusCode) {
    CloudWatchMetricDataStatusCode["COMPLETE"] = "Complete";
    CloudWatchMetricDataStatusCode["INTERNAL_ERROR"] = "InternalError";
    CloudWatchMetricDataStatusCode["PARTIAL_DATA"] = "PartialData";
})(CloudWatchMetricDataStatusCode || (CloudWatchMetricDataStatusCode = {}));
export var TimestampMetricValuePair;
(function (TimestampMetricValuePair) {
    TimestampMetricValuePair.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TimestampMetricValuePair || (TimestampMetricValuePair = {}));
export var CloudWatchMetricsDataSummary;
(function (CloudWatchMetricsDataSummary) {
    CloudWatchMetricsDataSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CloudWatchMetricsDataSummary || (CloudWatchMetricsDataSummary = {}));
export var CloudWatchMetricsStat;
(function (CloudWatchMetricsStat) {
    CloudWatchMetricsStat["AVERAGE"] = "Average";
    CloudWatchMetricsStat["MAXIMUM"] = "Maximum";
    CloudWatchMetricsStat["MINIMUM"] = "Minimum";
    CloudWatchMetricsStat["P50"] = "p50";
    CloudWatchMetricsStat["P90"] = "p90";
    CloudWatchMetricsStat["P99"] = "p99";
    CloudWatchMetricsStat["SAMPLE_COUNT"] = "SampleCount";
    CloudWatchMetricsStat["SUM"] = "Sum";
})(CloudWatchMetricsStat || (CloudWatchMetricsStat = {}));
export var CloudWatchMetricsDetail;
(function (CloudWatchMetricsDetail) {
    CloudWatchMetricsDetail.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CloudWatchMetricsDetail || (CloudWatchMetricsDetail = {}));
export var PerformanceInsightsMetricDimensionGroup;
(function (PerformanceInsightsMetricDimensionGroup) {
    PerformanceInsightsMetricDimensionGroup.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PerformanceInsightsMetricDimensionGroup || (PerformanceInsightsMetricDimensionGroup = {}));
export var PerformanceInsightsMetricQuery;
(function (PerformanceInsightsMetricQuery) {
    PerformanceInsightsMetricQuery.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PerformanceInsightsMetricQuery || (PerformanceInsightsMetricQuery = {}));
export var PerformanceInsightsReferenceMetric;
(function (PerformanceInsightsReferenceMetric) {
    PerformanceInsightsReferenceMetric.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PerformanceInsightsReferenceMetric || (PerformanceInsightsReferenceMetric = {}));
export var PerformanceInsightsReferenceScalar;
(function (PerformanceInsightsReferenceScalar) {
    PerformanceInsightsReferenceScalar.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PerformanceInsightsReferenceScalar || (PerformanceInsightsReferenceScalar = {}));
export var PerformanceInsightsReferenceComparisonValues;
(function (PerformanceInsightsReferenceComparisonValues) {
    PerformanceInsightsReferenceComparisonValues.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PerformanceInsightsReferenceComparisonValues || (PerformanceInsightsReferenceComparisonValues = {}));
export var PerformanceInsightsReferenceData;
(function (PerformanceInsightsReferenceData) {
    PerformanceInsightsReferenceData.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PerformanceInsightsReferenceData || (PerformanceInsightsReferenceData = {}));
export var PerformanceInsightsStat;
(function (PerformanceInsightsStat) {
    PerformanceInsightsStat.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PerformanceInsightsStat || (PerformanceInsightsStat = {}));
export var PerformanceInsightsMetricsDetail;
(function (PerformanceInsightsMetricsDetail) {
    PerformanceInsightsMetricsDetail.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PerformanceInsightsMetricsDetail || (PerformanceInsightsMetricsDetail = {}));
export var AnomalySourceDetails;
(function (AnomalySourceDetails) {
    AnomalySourceDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AnomalySourceDetails || (AnomalySourceDetails = {}));
export var AnomalySourceMetadata;
(function (AnomalySourceMetadata) {
    AnomalySourceMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AnomalySourceMetadata || (AnomalySourceMetadata = {}));
export var AnomalyStatus;
(function (AnomalyStatus) {
    AnomalyStatus["CLOSED"] = "CLOSED";
    AnomalyStatus["ONGOING"] = "ONGOING";
})(AnomalyStatus || (AnomalyStatus = {}));
export var AnomalyTimeRange;
(function (AnomalyTimeRange) {
    AnomalyTimeRange.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AnomalyTimeRange || (AnomalyTimeRange = {}));
export var AnomalyType;
(function (AnomalyType) {
    AnomalyType["CAUSAL"] = "CAUSAL";
    AnomalyType["CONTEXTUAL"] = "CONTEXTUAL";
})(AnomalyType || (AnomalyType = {}));
export var DeleteInsightRequest;
(function (DeleteInsightRequest) {
    DeleteInsightRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteInsightRequest || (DeleteInsightRequest = {}));
export var DeleteInsightResponse;
(function (DeleteInsightResponse) {
    DeleteInsightResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteInsightResponse || (DeleteInsightResponse = {}));
export var DescribeAccountHealthRequest;
(function (DescribeAccountHealthRequest) {
    DescribeAccountHealthRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAccountHealthRequest || (DescribeAccountHealthRequest = {}));
export var DescribeAccountHealthResponse;
(function (DescribeAccountHealthResponse) {
    DescribeAccountHealthResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAccountHealthResponse || (DescribeAccountHealthResponse = {}));
export var DescribeAccountOverviewRequest;
(function (DescribeAccountOverviewRequest) {
    DescribeAccountOverviewRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAccountOverviewRequest || (DescribeAccountOverviewRequest = {}));
export var DescribeAccountOverviewResponse;
(function (DescribeAccountOverviewResponse) {
    DescribeAccountOverviewResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAccountOverviewResponse || (DescribeAccountOverviewResponse = {}));
export var DescribeAnomalyRequest;
(function (DescribeAnomalyRequest) {
    DescribeAnomalyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAnomalyRequest || (DescribeAnomalyRequest = {}));
export var PredictionTimeRange;
(function (PredictionTimeRange) {
    PredictionTimeRange.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PredictionTimeRange || (PredictionTimeRange = {}));
export var CloudFormationCollection;
(function (CloudFormationCollection) {
    CloudFormationCollection.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CloudFormationCollection || (CloudFormationCollection = {}));
export var TagCollection;
(function (TagCollection) {
    TagCollection.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagCollection || (TagCollection = {}));
export var ResourceCollection;
(function (ResourceCollection) {
    ResourceCollection.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResourceCollection || (ResourceCollection = {}));
export var ProactiveAnomaly;
(function (ProactiveAnomaly) {
    ProactiveAnomaly.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProactiveAnomaly || (ProactiveAnomaly = {}));
export var ReactiveAnomaly;
(function (ReactiveAnomaly) {
    ReactiveAnomaly.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ReactiveAnomaly || (ReactiveAnomaly = {}));
export var DescribeAnomalyResponse;
(function (DescribeAnomalyResponse) {
    DescribeAnomalyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAnomalyResponse || (DescribeAnomalyResponse = {}));
export var DescribeEventSourcesConfigRequest;
(function (DescribeEventSourcesConfigRequest) {
    DescribeEventSourcesConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeEventSourcesConfigRequest || (DescribeEventSourcesConfigRequest = {}));
export var EventSourcesConfig;
(function (EventSourcesConfig) {
    EventSourcesConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EventSourcesConfig || (EventSourcesConfig = {}));
export var DescribeEventSourcesConfigResponse;
(function (DescribeEventSourcesConfigResponse) {
    DescribeEventSourcesConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeEventSourcesConfigResponse || (DescribeEventSourcesConfigResponse = {}));
export var DescribeFeedbackRequest;
(function (DescribeFeedbackRequest) {
    DescribeFeedbackRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeFeedbackRequest || (DescribeFeedbackRequest = {}));
export var InsightFeedbackOption;
(function (InsightFeedbackOption) {
    InsightFeedbackOption["ALERT_TOO_SENSITIVE"] = "ALERT_TOO_SENSITIVE";
    InsightFeedbackOption["DATA_INCORRECT"] = "DATA_INCORRECT";
    InsightFeedbackOption["DATA_NOISY_ANOMALY"] = "DATA_NOISY_ANOMALY";
    InsightFeedbackOption["RECOMMENDATION_USEFUL"] = "RECOMMENDATION_USEFUL";
    InsightFeedbackOption["VALID_COLLECTION"] = "VALID_COLLECTION";
})(InsightFeedbackOption || (InsightFeedbackOption = {}));
export var InsightFeedback;
(function (InsightFeedback) {
    InsightFeedback.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InsightFeedback || (InsightFeedback = {}));
export var DescribeFeedbackResponse;
(function (DescribeFeedbackResponse) {
    DescribeFeedbackResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeFeedbackResponse || (DescribeFeedbackResponse = {}));
export var DescribeInsightRequest;
(function (DescribeInsightRequest) {
    DescribeInsightRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeInsightRequest || (DescribeInsightRequest = {}));
export var InsightTimeRange;
(function (InsightTimeRange) {
    InsightTimeRange.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InsightTimeRange || (InsightTimeRange = {}));
export var InsightSeverity;
(function (InsightSeverity) {
    InsightSeverity["HIGH"] = "HIGH";
    InsightSeverity["LOW"] = "LOW";
    InsightSeverity["MEDIUM"] = "MEDIUM";
})(InsightSeverity || (InsightSeverity = {}));
export var InsightStatus;
(function (InsightStatus) {
    InsightStatus["CLOSED"] = "CLOSED";
    InsightStatus["ONGOING"] = "ONGOING";
})(InsightStatus || (InsightStatus = {}));
export var ProactiveInsight;
(function (ProactiveInsight) {
    ProactiveInsight.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProactiveInsight || (ProactiveInsight = {}));
export var ReactiveInsight;
(function (ReactiveInsight) {
    ReactiveInsight.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ReactiveInsight || (ReactiveInsight = {}));
export var DescribeInsightResponse;
(function (DescribeInsightResponse) {
    DescribeInsightResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeInsightResponse || (DescribeInsightResponse = {}));
export var DescribeOrganizationHealthRequest;
(function (DescribeOrganizationHealthRequest) {
    DescribeOrganizationHealthRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeOrganizationHealthRequest || (DescribeOrganizationHealthRequest = {}));
export var DescribeOrganizationHealthResponse;
(function (DescribeOrganizationHealthResponse) {
    DescribeOrganizationHealthResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeOrganizationHealthResponse || (DescribeOrganizationHealthResponse = {}));
export var DescribeOrganizationOverviewRequest;
(function (DescribeOrganizationOverviewRequest) {
    DescribeOrganizationOverviewRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeOrganizationOverviewRequest || (DescribeOrganizationOverviewRequest = {}));
export var DescribeOrganizationOverviewResponse;
(function (DescribeOrganizationOverviewResponse) {
    DescribeOrganizationOverviewResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeOrganizationOverviewResponse || (DescribeOrganizationOverviewResponse = {}));
export var OrganizationResourceCollectionType;
(function (OrganizationResourceCollectionType) {
    OrganizationResourceCollectionType["AWS_ACCOUNT"] = "AWS_ACCOUNT";
    OrganizationResourceCollectionType["AWS_CLOUD_FORMATION"] = "AWS_CLOUD_FORMATION";
    OrganizationResourceCollectionType["AWS_SERVICE"] = "AWS_SERVICE";
    OrganizationResourceCollectionType["AWS_TAGS"] = "AWS_TAGS";
})(OrganizationResourceCollectionType || (OrganizationResourceCollectionType = {}));
export var DescribeOrganizationResourceCollectionHealthRequest;
(function (DescribeOrganizationResourceCollectionHealthRequest) {
    DescribeOrganizationResourceCollectionHealthRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeOrganizationResourceCollectionHealthRequest || (DescribeOrganizationResourceCollectionHealthRequest = {}));
export var InsightHealth;
(function (InsightHealth) {
    InsightHealth.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InsightHealth || (InsightHealth = {}));
export var CloudFormationHealth;
(function (CloudFormationHealth) {
    CloudFormationHealth.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CloudFormationHealth || (CloudFormationHealth = {}));
export var ServiceInsightHealth;
(function (ServiceInsightHealth) {
    ServiceInsightHealth.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ServiceInsightHealth || (ServiceInsightHealth = {}));
export var ServiceName;
(function (ServiceName) {
    ServiceName["API_GATEWAY"] = "API_GATEWAY";
    ServiceName["APPLICATION_ELB"] = "APPLICATION_ELB";
    ServiceName["AUTO_SCALING_GROUP"] = "AUTO_SCALING_GROUP";
    ServiceName["CLOUD_FRONT"] = "CLOUD_FRONT";
    ServiceName["DYNAMO_DB"] = "DYNAMO_DB";
    ServiceName["EC2"] = "EC2";
    ServiceName["ECS"] = "ECS";
    ServiceName["EKS"] = "EKS";
    ServiceName["ELASTIC_BEANSTALK"] = "ELASTIC_BEANSTALK";
    ServiceName["ELASTI_CACHE"] = "ELASTI_CACHE";
    ServiceName["ELB"] = "ELB";
    ServiceName["ES"] = "ES";
    ServiceName["KINESIS"] = "KINESIS";
    ServiceName["LAMBDA"] = "LAMBDA";
    ServiceName["NAT_GATEWAY"] = "NAT_GATEWAY";
    ServiceName["NETWORK_ELB"] = "NETWORK_ELB";
    ServiceName["RDS"] = "RDS";
    ServiceName["REDSHIFT"] = "REDSHIFT";
    ServiceName["ROUTE_53"] = "ROUTE_53";
    ServiceName["S3"] = "S3";
    ServiceName["SAGE_MAKER"] = "SAGE_MAKER";
    ServiceName["SNS"] = "SNS";
    ServiceName["SQS"] = "SQS";
    ServiceName["STEP_FUNCTIONS"] = "STEP_FUNCTIONS";
    ServiceName["SWF"] = "SWF";
})(ServiceName || (ServiceName = {}));
export var ServiceHealth;
(function (ServiceHealth) {
    ServiceHealth.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ServiceHealth || (ServiceHealth = {}));
export var TagHealth;
(function (TagHealth) {
    TagHealth.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagHealth || (TagHealth = {}));
export var DescribeOrganizationResourceCollectionHealthResponse;
(function (DescribeOrganizationResourceCollectionHealthResponse) {
    DescribeOrganizationResourceCollectionHealthResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeOrganizationResourceCollectionHealthResponse || (DescribeOrganizationResourceCollectionHealthResponse = {}));
export var ResourceCollectionType;
(function (ResourceCollectionType) {
    ResourceCollectionType["AWS_CLOUD_FORMATION"] = "AWS_CLOUD_FORMATION";
    ResourceCollectionType["AWS_SERVICE"] = "AWS_SERVICE";
    ResourceCollectionType["AWS_TAGS"] = "AWS_TAGS";
})(ResourceCollectionType || (ResourceCollectionType = {}));
export var DescribeResourceCollectionHealthRequest;
(function (DescribeResourceCollectionHealthRequest) {
    DescribeResourceCollectionHealthRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeResourceCollectionHealthRequest || (DescribeResourceCollectionHealthRequest = {}));
export var DescribeResourceCollectionHealthResponse;
(function (DescribeResourceCollectionHealthResponse) {
    DescribeResourceCollectionHealthResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeResourceCollectionHealthResponse || (DescribeResourceCollectionHealthResponse = {}));
export var DescribeServiceIntegrationRequest;
(function (DescribeServiceIntegrationRequest) {
    DescribeServiceIntegrationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeServiceIntegrationRequest || (DescribeServiceIntegrationRequest = {}));
export var OptInStatus;
(function (OptInStatus) {
    OptInStatus["DISABLED"] = "DISABLED";
    OptInStatus["ENABLED"] = "ENABLED";
})(OptInStatus || (OptInStatus = {}));
export var OpsCenterIntegration;
(function (OpsCenterIntegration) {
    OpsCenterIntegration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(OpsCenterIntegration || (OpsCenterIntegration = {}));
export var ServiceIntegrationConfig;
(function (ServiceIntegrationConfig) {
    ServiceIntegrationConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ServiceIntegrationConfig || (ServiceIntegrationConfig = {}));
export var DescribeServiceIntegrationResponse;
(function (DescribeServiceIntegrationResponse) {
    DescribeServiceIntegrationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeServiceIntegrationResponse || (DescribeServiceIntegrationResponse = {}));
export var GetCostEstimationRequest;
(function (GetCostEstimationRequest) {
    GetCostEstimationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetCostEstimationRequest || (GetCostEstimationRequest = {}));
export var CostEstimationServiceResourceState;
(function (CostEstimationServiceResourceState) {
    CostEstimationServiceResourceState["ACTIVE"] = "ACTIVE";
    CostEstimationServiceResourceState["INACTIVE"] = "INACTIVE";
})(CostEstimationServiceResourceState || (CostEstimationServiceResourceState = {}));
export var ServiceResourceCost;
(function (ServiceResourceCost) {
    ServiceResourceCost.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ServiceResourceCost || (ServiceResourceCost = {}));
export var CloudFormationCostEstimationResourceCollectionFilter;
(function (CloudFormationCostEstimationResourceCollectionFilter) {
    CloudFormationCostEstimationResourceCollectionFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CloudFormationCostEstimationResourceCollectionFilter || (CloudFormationCostEstimationResourceCollectionFilter = {}));
export var TagCostEstimationResourceCollectionFilter;
(function (TagCostEstimationResourceCollectionFilter) {
    TagCostEstimationResourceCollectionFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagCostEstimationResourceCollectionFilter || (TagCostEstimationResourceCollectionFilter = {}));
export var CostEstimationResourceCollectionFilter;
(function (CostEstimationResourceCollectionFilter) {
    CostEstimationResourceCollectionFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CostEstimationResourceCollectionFilter || (CostEstimationResourceCollectionFilter = {}));
export var CostEstimationStatus;
(function (CostEstimationStatus) {
    CostEstimationStatus["COMPLETED"] = "COMPLETED";
    CostEstimationStatus["ONGOING"] = "ONGOING";
})(CostEstimationStatus || (CostEstimationStatus = {}));
export var CostEstimationTimeRange;
(function (CostEstimationTimeRange) {
    CostEstimationTimeRange.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CostEstimationTimeRange || (CostEstimationTimeRange = {}));
export var GetCostEstimationResponse;
(function (GetCostEstimationResponse) {
    GetCostEstimationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetCostEstimationResponse || (GetCostEstimationResponse = {}));
export var GetResourceCollectionRequest;
(function (GetResourceCollectionRequest) {
    GetResourceCollectionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResourceCollectionRequest || (GetResourceCollectionRequest = {}));
export var CloudFormationCollectionFilter;
(function (CloudFormationCollectionFilter) {
    CloudFormationCollectionFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CloudFormationCollectionFilter || (CloudFormationCollectionFilter = {}));
export var TagCollectionFilter;
(function (TagCollectionFilter) {
    TagCollectionFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagCollectionFilter || (TagCollectionFilter = {}));
export var ResourceCollectionFilter;
(function (ResourceCollectionFilter) {
    ResourceCollectionFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResourceCollectionFilter || (ResourceCollectionFilter = {}));
export var GetResourceCollectionResponse;
(function (GetResourceCollectionResponse) {
    GetResourceCollectionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResourceCollectionResponse || (GetResourceCollectionResponse = {}));
export var StartTimeRange;
(function (StartTimeRange) {
    StartTimeRange.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartTimeRange || (StartTimeRange = {}));
export var ListAnomaliesForInsightRequest;
(function (ListAnomaliesForInsightRequest) {
    ListAnomaliesForInsightRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAnomaliesForInsightRequest || (ListAnomaliesForInsightRequest = {}));
export var ProactiveAnomalySummary;
(function (ProactiveAnomalySummary) {
    ProactiveAnomalySummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProactiveAnomalySummary || (ProactiveAnomalySummary = {}));
export var ReactiveAnomalySummary;
(function (ReactiveAnomalySummary) {
    ReactiveAnomalySummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ReactiveAnomalySummary || (ReactiveAnomalySummary = {}));
export var ListAnomaliesForInsightResponse;
(function (ListAnomaliesForInsightResponse) {
    ListAnomaliesForInsightResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAnomaliesForInsightResponse || (ListAnomaliesForInsightResponse = {}));
export var EventDataSource;
(function (EventDataSource) {
    EventDataSource["AWS_CLOUD_TRAIL"] = "AWS_CLOUD_TRAIL";
    EventDataSource["AWS_CODE_DEPLOY"] = "AWS_CODE_DEPLOY";
})(EventDataSource || (EventDataSource = {}));
export var EventClass;
(function (EventClass) {
    EventClass["CONFIG_CHANGE"] = "CONFIG_CHANGE";
    EventClass["DEPLOYMENT"] = "DEPLOYMENT";
    EventClass["INFRASTRUCTURE"] = "INFRASTRUCTURE";
    EventClass["SCHEMA_CHANGE"] = "SCHEMA_CHANGE";
    EventClass["SECURITY_CHANGE"] = "SECURITY_CHANGE";
})(EventClass || (EventClass = {}));
export var EventTimeRange;
(function (EventTimeRange) {
    EventTimeRange.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EventTimeRange || (EventTimeRange = {}));
export var ListEventsFilters;
(function (ListEventsFilters) {
    ListEventsFilters.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListEventsFilters || (ListEventsFilters = {}));
export var ListEventsRequest;
(function (ListEventsRequest) {
    ListEventsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListEventsRequest || (ListEventsRequest = {}));
export var EventResource;
(function (EventResource) {
    EventResource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EventResource || (EventResource = {}));
export var Event;
(function (Event) {
    Event.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Event || (Event = {}));
export var ListEventsResponse;
(function (ListEventsResponse) {
    ListEventsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListEventsResponse || (ListEventsResponse = {}));
export var InsightType;
(function (InsightType) {
    InsightType["PROACTIVE"] = "PROACTIVE";
    InsightType["REACTIVE"] = "REACTIVE";
})(InsightType || (InsightType = {}));
export var ListInsightsAnyStatusFilter;
(function (ListInsightsAnyStatusFilter) {
    ListInsightsAnyStatusFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListInsightsAnyStatusFilter || (ListInsightsAnyStatusFilter = {}));
export var EndTimeRange;
(function (EndTimeRange) {
    EndTimeRange.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EndTimeRange || (EndTimeRange = {}));
export var ListInsightsClosedStatusFilter;
(function (ListInsightsClosedStatusFilter) {
    ListInsightsClosedStatusFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListInsightsClosedStatusFilter || (ListInsightsClosedStatusFilter = {}));
export var ListInsightsOngoingStatusFilter;
(function (ListInsightsOngoingStatusFilter) {
    ListInsightsOngoingStatusFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListInsightsOngoingStatusFilter || (ListInsightsOngoingStatusFilter = {}));
export var ListInsightsStatusFilter;
(function (ListInsightsStatusFilter) {
    ListInsightsStatusFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListInsightsStatusFilter || (ListInsightsStatusFilter = {}));
export var ListInsightsRequest;
(function (ListInsightsRequest) {
    ListInsightsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListInsightsRequest || (ListInsightsRequest = {}));
export var ServiceCollection;
(function (ServiceCollection) {
    ServiceCollection.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ServiceCollection || (ServiceCollection = {}));
export var ProactiveInsightSummary;
(function (ProactiveInsightSummary) {
    ProactiveInsightSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProactiveInsightSummary || (ProactiveInsightSummary = {}));
export var ReactiveInsightSummary;
(function (ReactiveInsightSummary) {
    ReactiveInsightSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ReactiveInsightSummary || (ReactiveInsightSummary = {}));
export var ListInsightsResponse;
(function (ListInsightsResponse) {
    ListInsightsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListInsightsResponse || (ListInsightsResponse = {}));
export var ListNotificationChannelsRequest;
(function (ListNotificationChannelsRequest) {
    ListNotificationChannelsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListNotificationChannelsRequest || (ListNotificationChannelsRequest = {}));
export var NotificationChannel;
(function (NotificationChannel) {
    NotificationChannel.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(NotificationChannel || (NotificationChannel = {}));
export var ListNotificationChannelsResponse;
(function (ListNotificationChannelsResponse) {
    ListNotificationChannelsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListNotificationChannelsResponse || (ListNotificationChannelsResponse = {}));
export var ListOrganizationInsightsRequest;
(function (ListOrganizationInsightsRequest) {
    ListOrganizationInsightsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListOrganizationInsightsRequest || (ListOrganizationInsightsRequest = {}));
export var ProactiveOrganizationInsightSummary;
(function (ProactiveOrganizationInsightSummary) {
    ProactiveOrganizationInsightSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProactiveOrganizationInsightSummary || (ProactiveOrganizationInsightSummary = {}));
export var ReactiveOrganizationInsightSummary;
(function (ReactiveOrganizationInsightSummary) {
    ReactiveOrganizationInsightSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ReactiveOrganizationInsightSummary || (ReactiveOrganizationInsightSummary = {}));
export var ListOrganizationInsightsResponse;
(function (ListOrganizationInsightsResponse) {
    ListOrganizationInsightsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListOrganizationInsightsResponse || (ListOrganizationInsightsResponse = {}));
export var Locale;
(function (Locale) {
    Locale["DE_DE"] = "DE_DE";
    Locale["EN_GB"] = "EN_GB";
    Locale["EN_US"] = "EN_US";
    Locale["ES_ES"] = "ES_ES";
    Locale["FR_FR"] = "FR_FR";
    Locale["IT_IT"] = "IT_IT";
    Locale["JA_JP"] = "JA_JP";
    Locale["KO_KR"] = "KO_KR";
    Locale["PT_BR"] = "PT_BR";
    Locale["ZH_CN"] = "ZH_CN";
    Locale["ZH_TW"] = "ZH_TW";
})(Locale || (Locale = {}));
export var ListRecommendationsRequest;
(function (ListRecommendationsRequest) {
    ListRecommendationsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListRecommendationsRequest || (ListRecommendationsRequest = {}));
export var RecommendationRelatedAnomalyResource;
(function (RecommendationRelatedAnomalyResource) {
    RecommendationRelatedAnomalyResource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RecommendationRelatedAnomalyResource || (RecommendationRelatedAnomalyResource = {}));
export var RecommendationRelatedCloudWatchMetricsSourceDetail;
(function (RecommendationRelatedCloudWatchMetricsSourceDetail) {
    RecommendationRelatedCloudWatchMetricsSourceDetail.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RecommendationRelatedCloudWatchMetricsSourceDetail || (RecommendationRelatedCloudWatchMetricsSourceDetail = {}));
export var RecommendationRelatedAnomalySourceDetail;
(function (RecommendationRelatedAnomalySourceDetail) {
    RecommendationRelatedAnomalySourceDetail.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RecommendationRelatedAnomalySourceDetail || (RecommendationRelatedAnomalySourceDetail = {}));
export var RecommendationRelatedAnomaly;
(function (RecommendationRelatedAnomaly) {
    RecommendationRelatedAnomaly.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RecommendationRelatedAnomaly || (RecommendationRelatedAnomaly = {}));
export var RecommendationRelatedEventResource;
(function (RecommendationRelatedEventResource) {
    RecommendationRelatedEventResource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RecommendationRelatedEventResource || (RecommendationRelatedEventResource = {}));
export var RecommendationRelatedEvent;
(function (RecommendationRelatedEvent) {
    RecommendationRelatedEvent.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RecommendationRelatedEvent || (RecommendationRelatedEvent = {}));
export var Recommendation;
(function (Recommendation) {
    Recommendation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Recommendation || (Recommendation = {}));
export var ListRecommendationsResponse;
(function (ListRecommendationsResponse) {
    ListRecommendationsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListRecommendationsResponse || (ListRecommendationsResponse = {}));
export var PutFeedbackRequest;
(function (PutFeedbackRequest) {
    PutFeedbackRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutFeedbackRequest || (PutFeedbackRequest = {}));
export var PutFeedbackResponse;
(function (PutFeedbackResponse) {
    PutFeedbackResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutFeedbackResponse || (PutFeedbackResponse = {}));
export var RemoveNotificationChannelRequest;
(function (RemoveNotificationChannelRequest) {
    RemoveNotificationChannelRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RemoveNotificationChannelRequest || (RemoveNotificationChannelRequest = {}));
export var RemoveNotificationChannelResponse;
(function (RemoveNotificationChannelResponse) {
    RemoveNotificationChannelResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RemoveNotificationChannelResponse || (RemoveNotificationChannelResponse = {}));
export var SearchInsightsFilters;
(function (SearchInsightsFilters) {
    SearchInsightsFilters.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SearchInsightsFilters || (SearchInsightsFilters = {}));
export var SearchInsightsRequest;
(function (SearchInsightsRequest) {
    SearchInsightsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SearchInsightsRequest || (SearchInsightsRequest = {}));
export var SearchInsightsResponse;
(function (SearchInsightsResponse) {
    SearchInsightsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SearchInsightsResponse || (SearchInsightsResponse = {}));
export var SearchOrganizationInsightsFilters;
(function (SearchOrganizationInsightsFilters) {
    SearchOrganizationInsightsFilters.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SearchOrganizationInsightsFilters || (SearchOrganizationInsightsFilters = {}));
export var SearchOrganizationInsightsRequest;
(function (SearchOrganizationInsightsRequest) {
    SearchOrganizationInsightsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SearchOrganizationInsightsRequest || (SearchOrganizationInsightsRequest = {}));
export var SearchOrganizationInsightsResponse;
(function (SearchOrganizationInsightsResponse) {
    SearchOrganizationInsightsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SearchOrganizationInsightsResponse || (SearchOrganizationInsightsResponse = {}));
export var StartCostEstimationRequest;
(function (StartCostEstimationRequest) {
    StartCostEstimationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartCostEstimationRequest || (StartCostEstimationRequest = {}));
export var StartCostEstimationResponse;
(function (StartCostEstimationResponse) {
    StartCostEstimationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartCostEstimationResponse || (StartCostEstimationResponse = {}));
export var UpdateEventSourcesConfigRequest;
(function (UpdateEventSourcesConfigRequest) {
    UpdateEventSourcesConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateEventSourcesConfigRequest || (UpdateEventSourcesConfigRequest = {}));
export var UpdateEventSourcesConfigResponse;
(function (UpdateEventSourcesConfigResponse) {
    UpdateEventSourcesConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateEventSourcesConfigResponse || (UpdateEventSourcesConfigResponse = {}));
export var UpdateResourceCollectionAction;
(function (UpdateResourceCollectionAction) {
    UpdateResourceCollectionAction["ADD"] = "ADD";
    UpdateResourceCollectionAction["REMOVE"] = "REMOVE";
})(UpdateResourceCollectionAction || (UpdateResourceCollectionAction = {}));
export var UpdateCloudFormationCollectionFilter;
(function (UpdateCloudFormationCollectionFilter) {
    UpdateCloudFormationCollectionFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateCloudFormationCollectionFilter || (UpdateCloudFormationCollectionFilter = {}));
export var UpdateTagCollectionFilter;
(function (UpdateTagCollectionFilter) {
    UpdateTagCollectionFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateTagCollectionFilter || (UpdateTagCollectionFilter = {}));
export var UpdateResourceCollectionFilter;
(function (UpdateResourceCollectionFilter) {
    UpdateResourceCollectionFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateResourceCollectionFilter || (UpdateResourceCollectionFilter = {}));
export var UpdateResourceCollectionRequest;
(function (UpdateResourceCollectionRequest) {
    UpdateResourceCollectionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateResourceCollectionRequest || (UpdateResourceCollectionRequest = {}));
export var UpdateResourceCollectionResponse;
(function (UpdateResourceCollectionResponse) {
    UpdateResourceCollectionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateResourceCollectionResponse || (UpdateResourceCollectionResponse = {}));
export var OpsCenterIntegrationConfig;
(function (OpsCenterIntegrationConfig) {
    OpsCenterIntegrationConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(OpsCenterIntegrationConfig || (OpsCenterIntegrationConfig = {}));
export var UpdateServiceIntegrationConfig;
(function (UpdateServiceIntegrationConfig) {
    UpdateServiceIntegrationConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateServiceIntegrationConfig || (UpdateServiceIntegrationConfig = {}));
export var UpdateServiceIntegrationRequest;
(function (UpdateServiceIntegrationRequest) {
    UpdateServiceIntegrationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateServiceIntegrationRequest || (UpdateServiceIntegrationRequest = {}));
export var UpdateServiceIntegrationResponse;
(function (UpdateServiceIntegrationResponse) {
    UpdateServiceIntegrationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateServiceIntegrationResponse || (UpdateServiceIntegrationResponse = {}));
