import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeOrganizationHealthRequest, DescribeOrganizationHealthResponse } from "../models/models_0";
export interface DescribeOrganizationHealthCommandInput extends DescribeOrganizationHealthRequest {
}
export interface DescribeOrganizationHealthCommandOutput extends DescribeOrganizationHealthResponse, __MetadataBearer {
}
/**
 * <p>Returns active insights, predictive insights, and resource hours analyzed in last
 * 			hour.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { DevOpsGuruClient, DescribeOrganizationHealthCommand } from "@aws-sdk/client-devops-guru"; // ES Modules import
 * // const { DevOpsGuruClient, DescribeOrganizationHealthCommand } = require("@aws-sdk/client-devops-guru"); // CommonJS import
 * const client = new DevOpsGuruClient(config);
 * const command = new DescribeOrganizationHealthCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link DescribeOrganizationHealthCommandInput} for command's `input` shape.
 * @see {@link DescribeOrganizationHealthCommandOutput} for command's `response` shape.
 * @see {@link DevOpsGuruClientResolvedConfig | config} for DevOpsGuruClient's `config` shape.
 *
 */
export declare class DescribeOrganizationHealthCommand extends $Command<DescribeOrganizationHealthCommandInput, DescribeOrganizationHealthCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeOrganizationHealthCommandInput;
    constructor(input: DescribeOrganizationHealthCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeOrganizationHealthCommandInput, DescribeOrganizationHealthCommandOutput>;
    private serialize;
    private deserialize;
}
