import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeOrganizationResourceCollectionHealthRequest, DescribeOrganizationResourceCollectionHealthResponse } from "../models/models_0";
export interface DescribeOrganizationResourceCollectionHealthCommandInput extends DescribeOrganizationResourceCollectionHealthRequest {
}
export interface DescribeOrganizationResourceCollectionHealthCommandOutput extends DescribeOrganizationResourceCollectionHealthResponse, __MetadataBearer {
}
/**
 * <p>Provides an overview of your system's health. If additional member accounts are part
 * 			of your organization, you can filter those accounts using the <code>AccountIds</code>
 * 			field.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { DevOpsGuruClient, DescribeOrganizationResourceCollectionHealthCommand } from "@aws-sdk/client-devops-guru"; // ES Modules import
 * // const { DevOpsGuruClient, DescribeOrganizationResourceCollectionHealthCommand } = require("@aws-sdk/client-devops-guru"); // CommonJS import
 * const client = new DevOpsGuruClient(config);
 * const command = new DescribeOrganizationResourceCollectionHealthCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link DescribeOrganizationResourceCollectionHealthCommandInput} for command's `input` shape.
 * @see {@link DescribeOrganizationResourceCollectionHealthCommandOutput} for command's `response` shape.
 * @see {@link DevOpsGuruClientResolvedConfig | config} for DevOpsGuruClient's `config` shape.
 *
 */
export declare class DescribeOrganizationResourceCollectionHealthCommand extends $Command<DescribeOrganizationResourceCollectionHealthCommandInput, DescribeOrganizationResourceCollectionHealthCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeOrganizationResourceCollectionHealthCommandInput;
    constructor(input: DescribeOrganizationResourceCollectionHealthCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeOrganizationResourceCollectionHealthCommandInput, DescribeOrganizationResourceCollectionHealthCommandOutput>;
    private serialize;
    private deserialize;
}
