import { HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import { AddNotificationChannelCommandInput, AddNotificationChannelCommandOutput } from "./commands/AddNotificationChannelCommand";
import { DeleteInsightCommandInput, DeleteInsightCommandOutput } from "./commands/DeleteInsightCommand";
import { DescribeAccountHealthCommandInput, DescribeAccountHealthCommandOutput } from "./commands/DescribeAccountHealthCommand";
import { DescribeAccountOverviewCommandInput, DescribeAccountOverviewCommandOutput } from "./commands/DescribeAccountOverviewCommand";
import { DescribeAnomalyCommandInput, DescribeAnomalyCommandOutput } from "./commands/DescribeAnomalyCommand";
import { DescribeEventSourcesConfigCommandInput, DescribeEventSourcesConfigCommandOutput } from "./commands/DescribeEventSourcesConfigCommand";
import { DescribeFeedbackCommandInput, DescribeFeedbackCommandOutput } from "./commands/DescribeFeedbackCommand";
import { DescribeInsightCommandInput, DescribeInsightCommandOutput } from "./commands/DescribeInsightCommand";
import { DescribeOrganizationHealthCommandInput, DescribeOrganizationHealthCommandOutput } from "./commands/DescribeOrganizationHealthCommand";
import { DescribeOrganizationOverviewCommandInput, DescribeOrganizationOverviewCommandOutput } from "./commands/DescribeOrganizationOverviewCommand";
import { DescribeOrganizationResourceCollectionHealthCommandInput, DescribeOrganizationResourceCollectionHealthCommandOutput } from "./commands/DescribeOrganizationResourceCollectionHealthCommand";
import { DescribeResourceCollectionHealthCommandInput, DescribeResourceCollectionHealthCommandOutput } from "./commands/DescribeResourceCollectionHealthCommand";
import { DescribeServiceIntegrationCommandInput, DescribeServiceIntegrationCommandOutput } from "./commands/DescribeServiceIntegrationCommand";
import { GetCostEstimationCommandInput, GetCostEstimationCommandOutput } from "./commands/GetCostEstimationCommand";
import { GetResourceCollectionCommandInput, GetResourceCollectionCommandOutput } from "./commands/GetResourceCollectionCommand";
import { ListAnomaliesForInsightCommandInput, ListAnomaliesForInsightCommandOutput } from "./commands/ListAnomaliesForInsightCommand";
import { ListEventsCommandInput, ListEventsCommandOutput } from "./commands/ListEventsCommand";
import { ListInsightsCommandInput, ListInsightsCommandOutput } from "./commands/ListInsightsCommand";
import { ListNotificationChannelsCommandInput, ListNotificationChannelsCommandOutput } from "./commands/ListNotificationChannelsCommand";
import { ListOrganizationInsightsCommandInput, ListOrganizationInsightsCommandOutput } from "./commands/ListOrganizationInsightsCommand";
import { ListRecommendationsCommandInput, ListRecommendationsCommandOutput } from "./commands/ListRecommendationsCommand";
import { PutFeedbackCommandInput, PutFeedbackCommandOutput } from "./commands/PutFeedbackCommand";
import { RemoveNotificationChannelCommandInput, RemoveNotificationChannelCommandOutput } from "./commands/RemoveNotificationChannelCommand";
import { SearchInsightsCommandInput, SearchInsightsCommandOutput } from "./commands/SearchInsightsCommand";
import { SearchOrganizationInsightsCommandInput, SearchOrganizationInsightsCommandOutput } from "./commands/SearchOrganizationInsightsCommand";
import { StartCostEstimationCommandInput, StartCostEstimationCommandOutput } from "./commands/StartCostEstimationCommand";
import { UpdateEventSourcesConfigCommandInput, UpdateEventSourcesConfigCommandOutput } from "./commands/UpdateEventSourcesConfigCommand";
import { UpdateResourceCollectionCommandInput, UpdateResourceCollectionCommandOutput } from "./commands/UpdateResourceCollectionCommand";
import { UpdateServiceIntegrationCommandInput, UpdateServiceIntegrationCommandOutput } from "./commands/UpdateServiceIntegrationCommand";
import { DevOpsGuruClient } from "./DevOpsGuruClient";

export declare class DevOpsGuru extends DevOpsGuruClient {
    
    addNotificationChannel(args: AddNotificationChannelCommandInput, options?: __HttpHandlerOptions): Promise<AddNotificationChannelCommandOutput>;
    addNotificationChannel(args: AddNotificationChannelCommandInput, cb: (err: any, data?: AddNotificationChannelCommandOutput) => void): void;
    addNotificationChannel(args: AddNotificationChannelCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: AddNotificationChannelCommandOutput) => void): void;
    
    deleteInsight(args: DeleteInsightCommandInput, options?: __HttpHandlerOptions): Promise<DeleteInsightCommandOutput>;
    deleteInsight(args: DeleteInsightCommandInput, cb: (err: any, data?: DeleteInsightCommandOutput) => void): void;
    deleteInsight(args: DeleteInsightCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteInsightCommandOutput) => void): void;
    
    describeAccountHealth(args: DescribeAccountHealthCommandInput, options?: __HttpHandlerOptions): Promise<DescribeAccountHealthCommandOutput>;
    describeAccountHealth(args: DescribeAccountHealthCommandInput, cb: (err: any, data?: DescribeAccountHealthCommandOutput) => void): void;
    describeAccountHealth(args: DescribeAccountHealthCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeAccountHealthCommandOutput) => void): void;
    
    describeAccountOverview(args: DescribeAccountOverviewCommandInput, options?: __HttpHandlerOptions): Promise<DescribeAccountOverviewCommandOutput>;
    describeAccountOverview(args: DescribeAccountOverviewCommandInput, cb: (err: any, data?: DescribeAccountOverviewCommandOutput) => void): void;
    describeAccountOverview(args: DescribeAccountOverviewCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeAccountOverviewCommandOutput) => void): void;
    
    describeAnomaly(args: DescribeAnomalyCommandInput, options?: __HttpHandlerOptions): Promise<DescribeAnomalyCommandOutput>;
    describeAnomaly(args: DescribeAnomalyCommandInput, cb: (err: any, data?: DescribeAnomalyCommandOutput) => void): void;
    describeAnomaly(args: DescribeAnomalyCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeAnomalyCommandOutput) => void): void;
    
    describeEventSourcesConfig(args: DescribeEventSourcesConfigCommandInput, options?: __HttpHandlerOptions): Promise<DescribeEventSourcesConfigCommandOutput>;
    describeEventSourcesConfig(args: DescribeEventSourcesConfigCommandInput, cb: (err: any, data?: DescribeEventSourcesConfigCommandOutput) => void): void;
    describeEventSourcesConfig(args: DescribeEventSourcesConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeEventSourcesConfigCommandOutput) => void): void;
    
    describeFeedback(args: DescribeFeedbackCommandInput, options?: __HttpHandlerOptions): Promise<DescribeFeedbackCommandOutput>;
    describeFeedback(args: DescribeFeedbackCommandInput, cb: (err: any, data?: DescribeFeedbackCommandOutput) => void): void;
    describeFeedback(args: DescribeFeedbackCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeFeedbackCommandOutput) => void): void;
    
    describeInsight(args: DescribeInsightCommandInput, options?: __HttpHandlerOptions): Promise<DescribeInsightCommandOutput>;
    describeInsight(args: DescribeInsightCommandInput, cb: (err: any, data?: DescribeInsightCommandOutput) => void): void;
    describeInsight(args: DescribeInsightCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeInsightCommandOutput) => void): void;
    
    describeOrganizationHealth(args: DescribeOrganizationHealthCommandInput, options?: __HttpHandlerOptions): Promise<DescribeOrganizationHealthCommandOutput>;
    describeOrganizationHealth(args: DescribeOrganizationHealthCommandInput, cb: (err: any, data?: DescribeOrganizationHealthCommandOutput) => void): void;
    describeOrganizationHealth(args: DescribeOrganizationHealthCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeOrganizationHealthCommandOutput) => void): void;
    
    describeOrganizationOverview(args: DescribeOrganizationOverviewCommandInput, options?: __HttpHandlerOptions): Promise<DescribeOrganizationOverviewCommandOutput>;
    describeOrganizationOverview(args: DescribeOrganizationOverviewCommandInput, cb: (err: any, data?: DescribeOrganizationOverviewCommandOutput) => void): void;
    describeOrganizationOverview(args: DescribeOrganizationOverviewCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeOrganizationOverviewCommandOutput) => void): void;
    
    describeOrganizationResourceCollectionHealth(args: DescribeOrganizationResourceCollectionHealthCommandInput, options?: __HttpHandlerOptions): Promise<DescribeOrganizationResourceCollectionHealthCommandOutput>;
    describeOrganizationResourceCollectionHealth(args: DescribeOrganizationResourceCollectionHealthCommandInput, cb: (err: any, data?: DescribeOrganizationResourceCollectionHealthCommandOutput) => void): void;
    describeOrganizationResourceCollectionHealth(args: DescribeOrganizationResourceCollectionHealthCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeOrganizationResourceCollectionHealthCommandOutput) => void): void;
    
    describeResourceCollectionHealth(args: DescribeResourceCollectionHealthCommandInput, options?: __HttpHandlerOptions): Promise<DescribeResourceCollectionHealthCommandOutput>;
    describeResourceCollectionHealth(args: DescribeResourceCollectionHealthCommandInput, cb: (err: any, data?: DescribeResourceCollectionHealthCommandOutput) => void): void;
    describeResourceCollectionHealth(args: DescribeResourceCollectionHealthCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeResourceCollectionHealthCommandOutput) => void): void;
    
    describeServiceIntegration(args: DescribeServiceIntegrationCommandInput, options?: __HttpHandlerOptions): Promise<DescribeServiceIntegrationCommandOutput>;
    describeServiceIntegration(args: DescribeServiceIntegrationCommandInput, cb: (err: any, data?: DescribeServiceIntegrationCommandOutput) => void): void;
    describeServiceIntegration(args: DescribeServiceIntegrationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeServiceIntegrationCommandOutput) => void): void;
    
    getCostEstimation(args: GetCostEstimationCommandInput, options?: __HttpHandlerOptions): Promise<GetCostEstimationCommandOutput>;
    getCostEstimation(args: GetCostEstimationCommandInput, cb: (err: any, data?: GetCostEstimationCommandOutput) => void): void;
    getCostEstimation(args: GetCostEstimationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetCostEstimationCommandOutput) => void): void;
    
    getResourceCollection(args: GetResourceCollectionCommandInput, options?: __HttpHandlerOptions): Promise<GetResourceCollectionCommandOutput>;
    getResourceCollection(args: GetResourceCollectionCommandInput, cb: (err: any, data?: GetResourceCollectionCommandOutput) => void): void;
    getResourceCollection(args: GetResourceCollectionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetResourceCollectionCommandOutput) => void): void;
    
    listAnomaliesForInsight(args: ListAnomaliesForInsightCommandInput, options?: __HttpHandlerOptions): Promise<ListAnomaliesForInsightCommandOutput>;
    listAnomaliesForInsight(args: ListAnomaliesForInsightCommandInput, cb: (err: any, data?: ListAnomaliesForInsightCommandOutput) => void): void;
    listAnomaliesForInsight(args: ListAnomaliesForInsightCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListAnomaliesForInsightCommandOutput) => void): void;
    
    listEvents(args: ListEventsCommandInput, options?: __HttpHandlerOptions): Promise<ListEventsCommandOutput>;
    listEvents(args: ListEventsCommandInput, cb: (err: any, data?: ListEventsCommandOutput) => void): void;
    listEvents(args: ListEventsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListEventsCommandOutput) => void): void;
    
    listInsights(args: ListInsightsCommandInput, options?: __HttpHandlerOptions): Promise<ListInsightsCommandOutput>;
    listInsights(args: ListInsightsCommandInput, cb: (err: any, data?: ListInsightsCommandOutput) => void): void;
    listInsights(args: ListInsightsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListInsightsCommandOutput) => void): void;
    
    listNotificationChannels(args: ListNotificationChannelsCommandInput, options?: __HttpHandlerOptions): Promise<ListNotificationChannelsCommandOutput>;
    listNotificationChannels(args: ListNotificationChannelsCommandInput, cb: (err: any, data?: ListNotificationChannelsCommandOutput) => void): void;
    listNotificationChannels(args: ListNotificationChannelsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListNotificationChannelsCommandOutput) => void): void;
    
    listOrganizationInsights(args: ListOrganizationInsightsCommandInput, options?: __HttpHandlerOptions): Promise<ListOrganizationInsightsCommandOutput>;
    listOrganizationInsights(args: ListOrganizationInsightsCommandInput, cb: (err: any, data?: ListOrganizationInsightsCommandOutput) => void): void;
    listOrganizationInsights(args: ListOrganizationInsightsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListOrganizationInsightsCommandOutput) => void): void;
    
    listRecommendations(args: ListRecommendationsCommandInput, options?: __HttpHandlerOptions): Promise<ListRecommendationsCommandOutput>;
    listRecommendations(args: ListRecommendationsCommandInput, cb: (err: any, data?: ListRecommendationsCommandOutput) => void): void;
    listRecommendations(args: ListRecommendationsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListRecommendationsCommandOutput) => void): void;
    
    putFeedback(args: PutFeedbackCommandInput, options?: __HttpHandlerOptions): Promise<PutFeedbackCommandOutput>;
    putFeedback(args: PutFeedbackCommandInput, cb: (err: any, data?: PutFeedbackCommandOutput) => void): void;
    putFeedback(args: PutFeedbackCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: PutFeedbackCommandOutput) => void): void;
    
    removeNotificationChannel(args: RemoveNotificationChannelCommandInput, options?: __HttpHandlerOptions): Promise<RemoveNotificationChannelCommandOutput>;
    removeNotificationChannel(args: RemoveNotificationChannelCommandInput, cb: (err: any, data?: RemoveNotificationChannelCommandOutput) => void): void;
    removeNotificationChannel(args: RemoveNotificationChannelCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: RemoveNotificationChannelCommandOutput) => void): void;
    
    searchInsights(args: SearchInsightsCommandInput, options?: __HttpHandlerOptions): Promise<SearchInsightsCommandOutput>;
    searchInsights(args: SearchInsightsCommandInput, cb: (err: any, data?: SearchInsightsCommandOutput) => void): void;
    searchInsights(args: SearchInsightsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: SearchInsightsCommandOutput) => void): void;
    
    searchOrganizationInsights(args: SearchOrganizationInsightsCommandInput, options?: __HttpHandlerOptions): Promise<SearchOrganizationInsightsCommandOutput>;
    searchOrganizationInsights(args: SearchOrganizationInsightsCommandInput, cb: (err: any, data?: SearchOrganizationInsightsCommandOutput) => void): void;
    searchOrganizationInsights(args: SearchOrganizationInsightsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: SearchOrganizationInsightsCommandOutput) => void): void;
    
    startCostEstimation(args: StartCostEstimationCommandInput, options?: __HttpHandlerOptions): Promise<StartCostEstimationCommandOutput>;
    startCostEstimation(args: StartCostEstimationCommandInput, cb: (err: any, data?: StartCostEstimationCommandOutput) => void): void;
    startCostEstimation(args: StartCostEstimationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StartCostEstimationCommandOutput) => void): void;
    
    updateEventSourcesConfig(args: UpdateEventSourcesConfigCommandInput, options?: __HttpHandlerOptions): Promise<UpdateEventSourcesConfigCommandOutput>;
    updateEventSourcesConfig(args: UpdateEventSourcesConfigCommandInput, cb: (err: any, data?: UpdateEventSourcesConfigCommandOutput) => void): void;
    updateEventSourcesConfig(args: UpdateEventSourcesConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateEventSourcesConfigCommandOutput) => void): void;
    
    updateResourceCollection(args: UpdateResourceCollectionCommandInput, options?: __HttpHandlerOptions): Promise<UpdateResourceCollectionCommandOutput>;
    updateResourceCollection(args: UpdateResourceCollectionCommandInput, cb: (err: any, data?: UpdateResourceCollectionCommandOutput) => void): void;
    updateResourceCollection(args: UpdateResourceCollectionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateResourceCollectionCommandOutput) => void): void;
    
    updateServiceIntegration(args: UpdateServiceIntegrationCommandInput, options?: __HttpHandlerOptions): Promise<UpdateServiceIntegrationCommandOutput>;
    updateServiceIntegration(args: UpdateServiceIntegrationCommandInput, cb: (err: any, data?: UpdateServiceIntegrationCommandOutput) => void): void;
    updateServiceIntegration(args: UpdateServiceIntegrationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateServiceIntegrationCommandOutput) => void): void;
}
