import { EndpointsInputConfig, EndpointsResolvedConfig, RegionInputConfig, RegionResolvedConfig } from "@aws-sdk/config-resolver";
import { HostHeaderInputConfig, HostHeaderResolvedConfig } from "@aws-sdk/middleware-host-header";
import { RetryInputConfig, RetryResolvedConfig } from "@aws-sdk/middleware-retry";
import { AwsAuthInputConfig, AwsAuthResolvedConfig } from "@aws-sdk/middleware-signing";
import { UserAgentInputConfig, UserAgentResolvedConfig } from "@aws-sdk/middleware-user-agent";
import { HttpHandler as __HttpHandler } from "@aws-sdk/protocol-http";
import { Client as __Client, DefaultsMode, SmithyConfiguration as __SmithyConfiguration, SmithyResolvedConfiguration as __SmithyResolvedConfiguration } from "@aws-sdk/smithy-client";
import { BodyLengthCalculator as __BodyLengthCalculator, Credentials as __Credentials, Decoder as __Decoder, Encoder as __Encoder, HashConstructor as __HashConstructor, HttpHandlerOptions as __HttpHandlerOptions, Logger as __Logger, Provider as __Provider, Provider, RegionInfoProvider, StreamCollector as __StreamCollector, UrlParser as __UrlParser, UserAgent as __UserAgent } from "@aws-sdk/types";
import { AddNotificationChannelCommandInput, AddNotificationChannelCommandOutput } from "./commands/AddNotificationChannelCommand";
import { DeleteInsightCommandInput, DeleteInsightCommandOutput } from "./commands/DeleteInsightCommand";
import { DescribeAccountHealthCommandInput, DescribeAccountHealthCommandOutput } from "./commands/DescribeAccountHealthCommand";
import { DescribeAccountOverviewCommandInput, DescribeAccountOverviewCommandOutput } from "./commands/DescribeAccountOverviewCommand";
import { DescribeAnomalyCommandInput, DescribeAnomalyCommandOutput } from "./commands/DescribeAnomalyCommand";
import { DescribeEventSourcesConfigCommandInput, DescribeEventSourcesConfigCommandOutput } from "./commands/DescribeEventSourcesConfigCommand";
import { DescribeFeedbackCommandInput, DescribeFeedbackCommandOutput } from "./commands/DescribeFeedbackCommand";
import { DescribeInsightCommandInput, DescribeInsightCommandOutput } from "./commands/DescribeInsightCommand";
import { DescribeOrganizationHealthCommandInput, DescribeOrganizationHealthCommandOutput } from "./commands/DescribeOrganizationHealthCommand";
import { DescribeOrganizationOverviewCommandInput, DescribeOrganizationOverviewCommandOutput } from "./commands/DescribeOrganizationOverviewCommand";
import { DescribeOrganizationResourceCollectionHealthCommandInput, DescribeOrganizationResourceCollectionHealthCommandOutput } from "./commands/DescribeOrganizationResourceCollectionHealthCommand";
import { DescribeResourceCollectionHealthCommandInput, DescribeResourceCollectionHealthCommandOutput } from "./commands/DescribeResourceCollectionHealthCommand";
import { DescribeServiceIntegrationCommandInput, DescribeServiceIntegrationCommandOutput } from "./commands/DescribeServiceIntegrationCommand";
import { GetCostEstimationCommandInput, GetCostEstimationCommandOutput } from "./commands/GetCostEstimationCommand";
import { GetResourceCollectionCommandInput, GetResourceCollectionCommandOutput } from "./commands/GetResourceCollectionCommand";
import { ListAnomaliesForInsightCommandInput, ListAnomaliesForInsightCommandOutput } from "./commands/ListAnomaliesForInsightCommand";
import { ListEventsCommandInput, ListEventsCommandOutput } from "./commands/ListEventsCommand";
import { ListInsightsCommandInput, ListInsightsCommandOutput } from "./commands/ListInsightsCommand";
import { ListNotificationChannelsCommandInput, ListNotificationChannelsCommandOutput } from "./commands/ListNotificationChannelsCommand";
import { ListOrganizationInsightsCommandInput, ListOrganizationInsightsCommandOutput } from "./commands/ListOrganizationInsightsCommand";
import { ListRecommendationsCommandInput, ListRecommendationsCommandOutput } from "./commands/ListRecommendationsCommand";
import { PutFeedbackCommandInput, PutFeedbackCommandOutput } from "./commands/PutFeedbackCommand";
import { RemoveNotificationChannelCommandInput, RemoveNotificationChannelCommandOutput } from "./commands/RemoveNotificationChannelCommand";
import { SearchInsightsCommandInput, SearchInsightsCommandOutput } from "./commands/SearchInsightsCommand";
import { SearchOrganizationInsightsCommandInput, SearchOrganizationInsightsCommandOutput } from "./commands/SearchOrganizationInsightsCommand";
import { StartCostEstimationCommandInput, StartCostEstimationCommandOutput } from "./commands/StartCostEstimationCommand";
import { UpdateEventSourcesConfigCommandInput, UpdateEventSourcesConfigCommandOutput } from "./commands/UpdateEventSourcesConfigCommand";
import { UpdateResourceCollectionCommandInput, UpdateResourceCollectionCommandOutput } from "./commands/UpdateResourceCollectionCommand";
import { UpdateServiceIntegrationCommandInput, UpdateServiceIntegrationCommandOutput } from "./commands/UpdateServiceIntegrationCommand";
export declare type ServiceInputTypes = AddNotificationChannelCommandInput | DeleteInsightCommandInput | DescribeAccountHealthCommandInput | DescribeAccountOverviewCommandInput | DescribeAnomalyCommandInput | DescribeEventSourcesConfigCommandInput | DescribeFeedbackCommandInput | DescribeInsightCommandInput | DescribeOrganizationHealthCommandInput | DescribeOrganizationOverviewCommandInput | DescribeOrganizationResourceCollectionHealthCommandInput | DescribeResourceCollectionHealthCommandInput | DescribeServiceIntegrationCommandInput | GetCostEstimationCommandInput | GetResourceCollectionCommandInput | ListAnomaliesForInsightCommandInput | ListEventsCommandInput | ListInsightsCommandInput | ListNotificationChannelsCommandInput | ListOrganizationInsightsCommandInput | ListRecommendationsCommandInput | PutFeedbackCommandInput | RemoveNotificationChannelCommandInput | SearchInsightsCommandInput | SearchOrganizationInsightsCommandInput | StartCostEstimationCommandInput | UpdateEventSourcesConfigCommandInput | UpdateResourceCollectionCommandInput | UpdateServiceIntegrationCommandInput;
export declare type ServiceOutputTypes = AddNotificationChannelCommandOutput | DeleteInsightCommandOutput | DescribeAccountHealthCommandOutput | DescribeAccountOverviewCommandOutput | DescribeAnomalyCommandOutput | DescribeEventSourcesConfigCommandOutput | DescribeFeedbackCommandOutput | DescribeInsightCommandOutput | DescribeOrganizationHealthCommandOutput | DescribeOrganizationOverviewCommandOutput | DescribeOrganizationResourceCollectionHealthCommandOutput | DescribeResourceCollectionHealthCommandOutput | DescribeServiceIntegrationCommandOutput | GetCostEstimationCommandOutput | GetResourceCollectionCommandOutput | ListAnomaliesForInsightCommandOutput | ListEventsCommandOutput | ListInsightsCommandOutput | ListNotificationChannelsCommandOutput | ListOrganizationInsightsCommandOutput | ListRecommendationsCommandOutput | PutFeedbackCommandOutput | RemoveNotificationChannelCommandOutput | SearchInsightsCommandOutput | SearchOrganizationInsightsCommandOutput | StartCostEstimationCommandOutput | UpdateEventSourcesConfigCommandOutput | UpdateResourceCollectionCommandOutput | UpdateServiceIntegrationCommandOutput;
export interface ClientDefaults extends Partial<__SmithyResolvedConfiguration<__HttpHandlerOptions>> {
    
    requestHandler?: __HttpHandler;
    
    sha256?: __HashConstructor;
    
    urlParser?: __UrlParser;
    
    bodyLengthChecker?: __BodyLengthCalculator;
    
    streamCollector?: __StreamCollector;
    
    base64Decoder?: __Decoder;
    
    base64Encoder?: __Encoder;
    
    utf8Decoder?: __Decoder;
    
    utf8Encoder?: __Encoder;
    
    runtime?: string;
    
    disableHostPrefix?: boolean;
    
    maxAttempts?: number | __Provider<number>;
    
    retryMode?: string | __Provider<string>;
    
    logger?: __Logger;
    
    useDualstackEndpoint?: boolean | __Provider<boolean>;
    
    useFipsEndpoint?: boolean | __Provider<boolean>;
    
    serviceId?: string;
    
    region?: string | __Provider<string>;
    
    credentialDefaultProvider?: (input: any) => __Provider<__Credentials>;
    
    regionInfoProvider?: RegionInfoProvider;
    
    defaultUserAgentProvider?: Provider<__UserAgent>;
    
    defaultsMode?: DefaultsMode | Provider<DefaultsMode>;
}
declare type DevOpsGuruClientConfigType = Partial<__SmithyConfiguration<__HttpHandlerOptions>> & ClientDefaults & RegionInputConfig & EndpointsInputConfig & RetryInputConfig & HostHeaderInputConfig & AwsAuthInputConfig & UserAgentInputConfig;

export interface DevOpsGuruClientConfig extends DevOpsGuruClientConfigType {
}
declare type DevOpsGuruClientResolvedConfigType = __SmithyResolvedConfiguration<__HttpHandlerOptions> & Required<ClientDefaults> & RegionResolvedConfig & EndpointsResolvedConfig & RetryResolvedConfig & HostHeaderResolvedConfig & AwsAuthResolvedConfig & UserAgentResolvedConfig;

export interface DevOpsGuruClientResolvedConfig extends DevOpsGuruClientResolvedConfigType {
}

export declare class DevOpsGuruClient extends __Client<__HttpHandlerOptions, ServiceInputTypes, ServiceOutputTypes, DevOpsGuruClientResolvedConfig> {
    
    readonly config: DevOpsGuruClientResolvedConfig;
    constructor(configuration: DevOpsGuruClientConfig);
    
    destroy(): void;
}
export {};
