import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { AddNotificationChannelRequest, AddNotificationChannelResponse } from "../models/models_0";
export interface AddNotificationChannelCommandInput extends AddNotificationChannelRequest {
}
export interface AddNotificationChannelCommandOutput extends AddNotificationChannelResponse, __MetadataBearer {
}

export declare class AddNotificationChannelCommand extends $Command<AddNotificationChannelCommandInput, AddNotificationChannelCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: AddNotificationChannelCommandInput;
    constructor(input: AddNotificationChannelCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<AddNotificationChannelCommandInput, AddNotificationChannelCommandOutput>;
    private serialize;
    private deserialize;
}
