import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DeleteInsightRequest, DeleteInsightResponse } from "../models/models_0";
export interface DeleteInsightCommandInput extends DeleteInsightRequest {
}
export interface DeleteInsightCommandOutput extends DeleteInsightResponse, __MetadataBearer {
}

export declare class DeleteInsightCommand extends $Command<DeleteInsightCommandInput, DeleteInsightCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DeleteInsightCommandInput;
    constructor(input: DeleteInsightCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteInsightCommandInput, DeleteInsightCommandOutput>;
    private serialize;
    private deserialize;
}
