import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeAccountHealthRequest, DescribeAccountHealthResponse } from "../models/models_0";
export interface DescribeAccountHealthCommandInput extends DescribeAccountHealthRequest {
}
export interface DescribeAccountHealthCommandOutput extends DescribeAccountHealthResponse, __MetadataBearer {
}

export declare class DescribeAccountHealthCommand extends $Command<DescribeAccountHealthCommandInput, DescribeAccountHealthCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeAccountHealthCommandInput;
    constructor(input: DescribeAccountHealthCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeAccountHealthCommandInput, DescribeAccountHealthCommandOutput>;
    private serialize;
    private deserialize;
}
