import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeAccountOverviewRequest, DescribeAccountOverviewResponse } from "../models/models_0";
export interface DescribeAccountOverviewCommandInput extends DescribeAccountOverviewRequest {
}
export interface DescribeAccountOverviewCommandOutput extends DescribeAccountOverviewResponse, __MetadataBearer {
}

export declare class DescribeAccountOverviewCommand extends $Command<DescribeAccountOverviewCommandInput, DescribeAccountOverviewCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeAccountOverviewCommandInput;
    constructor(input: DescribeAccountOverviewCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeAccountOverviewCommandInput, DescribeAccountOverviewCommandOutput>;
    private serialize;
    private deserialize;
}
