import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeAnomalyRequest, DescribeAnomalyResponse } from "../models/models_0";
export interface DescribeAnomalyCommandInput extends DescribeAnomalyRequest {
}
export interface DescribeAnomalyCommandOutput extends DescribeAnomalyResponse, __MetadataBearer {
}

export declare class DescribeAnomalyCommand extends $Command<DescribeAnomalyCommandInput, DescribeAnomalyCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeAnomalyCommandInput;
    constructor(input: DescribeAnomalyCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeAnomalyCommandInput, DescribeAnomalyCommandOutput>;
    private serialize;
    private deserialize;
}
