import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeEventSourcesConfigRequest, DescribeEventSourcesConfigResponse } from "../models/models_0";
export interface DescribeEventSourcesConfigCommandInput extends DescribeEventSourcesConfigRequest {
}
export interface DescribeEventSourcesConfigCommandOutput extends DescribeEventSourcesConfigResponse, __MetadataBearer {
}

export declare class DescribeEventSourcesConfigCommand extends $Command<DescribeEventSourcesConfigCommandInput, DescribeEventSourcesConfigCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeEventSourcesConfigCommandInput;
    constructor(input: DescribeEventSourcesConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeEventSourcesConfigCommandInput, DescribeEventSourcesConfigCommandOutput>;
    private serialize;
    private deserialize;
}
