import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeFeedbackRequest, DescribeFeedbackResponse } from "../models/models_0";
export interface DescribeFeedbackCommandInput extends DescribeFeedbackRequest {
}
export interface DescribeFeedbackCommandOutput extends DescribeFeedbackResponse, __MetadataBearer {
}

export declare class DescribeFeedbackCommand extends $Command<DescribeFeedbackCommandInput, DescribeFeedbackCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeFeedbackCommandInput;
    constructor(input: DescribeFeedbackCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeFeedbackCommandInput, DescribeFeedbackCommandOutput>;
    private serialize;
    private deserialize;
}
