import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeInsightRequest, DescribeInsightResponse } from "../models/models_0";
export interface DescribeInsightCommandInput extends DescribeInsightRequest {
}
export interface DescribeInsightCommandOutput extends DescribeInsightResponse, __MetadataBearer {
}

export declare class DescribeInsightCommand extends $Command<DescribeInsightCommandInput, DescribeInsightCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeInsightCommandInput;
    constructor(input: DescribeInsightCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeInsightCommandInput, DescribeInsightCommandOutput>;
    private serialize;
    private deserialize;
}
