import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeOrganizationHealthRequest, DescribeOrganizationHealthResponse } from "../models/models_0";
export interface DescribeOrganizationHealthCommandInput extends DescribeOrganizationHealthRequest {
}
export interface DescribeOrganizationHealthCommandOutput extends DescribeOrganizationHealthResponse, __MetadataBearer {
}

export declare class DescribeOrganizationHealthCommand extends $Command<DescribeOrganizationHealthCommandInput, DescribeOrganizationHealthCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeOrganizationHealthCommandInput;
    constructor(input: DescribeOrganizationHealthCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeOrganizationHealthCommandInput, DescribeOrganizationHealthCommandOutput>;
    private serialize;
    private deserialize;
}
