import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeOrganizationOverviewRequest, DescribeOrganizationOverviewResponse } from "../models/models_0";
export interface DescribeOrganizationOverviewCommandInput extends DescribeOrganizationOverviewRequest {
}
export interface DescribeOrganizationOverviewCommandOutput extends DescribeOrganizationOverviewResponse, __MetadataBearer {
}

export declare class DescribeOrganizationOverviewCommand extends $Command<DescribeOrganizationOverviewCommandInput, DescribeOrganizationOverviewCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeOrganizationOverviewCommandInput;
    constructor(input: DescribeOrganizationOverviewCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeOrganizationOverviewCommandInput, DescribeOrganizationOverviewCommandOutput>;
    private serialize;
    private deserialize;
}
