import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeOrganizationResourceCollectionHealthRequest, DescribeOrganizationResourceCollectionHealthResponse } from "../models/models_0";
export interface DescribeOrganizationResourceCollectionHealthCommandInput extends DescribeOrganizationResourceCollectionHealthRequest {
}
export interface DescribeOrganizationResourceCollectionHealthCommandOutput extends DescribeOrganizationResourceCollectionHealthResponse, __MetadataBearer {
}

export declare class DescribeOrganizationResourceCollectionHealthCommand extends $Command<DescribeOrganizationResourceCollectionHealthCommandInput, DescribeOrganizationResourceCollectionHealthCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeOrganizationResourceCollectionHealthCommandInput;
    constructor(input: DescribeOrganizationResourceCollectionHealthCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeOrganizationResourceCollectionHealthCommandInput, DescribeOrganizationResourceCollectionHealthCommandOutput>;
    private serialize;
    private deserialize;
}
