import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeResourceCollectionHealthRequest, DescribeResourceCollectionHealthResponse } from "../models/models_0";
export interface DescribeResourceCollectionHealthCommandInput extends DescribeResourceCollectionHealthRequest {
}
export interface DescribeResourceCollectionHealthCommandOutput extends DescribeResourceCollectionHealthResponse, __MetadataBearer {
}

export declare class DescribeResourceCollectionHealthCommand extends $Command<DescribeResourceCollectionHealthCommandInput, DescribeResourceCollectionHealthCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeResourceCollectionHealthCommandInput;
    constructor(input: DescribeResourceCollectionHealthCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeResourceCollectionHealthCommandInput, DescribeResourceCollectionHealthCommandOutput>;
    private serialize;
    private deserialize;
}
