import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { DescribeServiceIntegrationRequest, DescribeServiceIntegrationResponse } from "../models/models_0";
export interface DescribeServiceIntegrationCommandInput extends DescribeServiceIntegrationRequest {
}
export interface DescribeServiceIntegrationCommandOutput extends DescribeServiceIntegrationResponse, __MetadataBearer {
}

export declare class DescribeServiceIntegrationCommand extends $Command<DescribeServiceIntegrationCommandInput, DescribeServiceIntegrationCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: DescribeServiceIntegrationCommandInput;
    constructor(input: DescribeServiceIntegrationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeServiceIntegrationCommandInput, DescribeServiceIntegrationCommandOutput>;
    private serialize;
    private deserialize;
}
