import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { GetCostEstimationRequest, GetCostEstimationResponse } from "../models/models_0";
export interface GetCostEstimationCommandInput extends GetCostEstimationRequest {
}
export interface GetCostEstimationCommandOutput extends GetCostEstimationResponse, __MetadataBearer {
}

export declare class GetCostEstimationCommand extends $Command<GetCostEstimationCommandInput, GetCostEstimationCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: GetCostEstimationCommandInput;
    constructor(input: GetCostEstimationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetCostEstimationCommandInput, GetCostEstimationCommandOutput>;
    private serialize;
    private deserialize;
}
