import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { GetResourceCollectionRequest, GetResourceCollectionResponse } from "../models/models_0";
export interface GetResourceCollectionCommandInput extends GetResourceCollectionRequest {
}
export interface GetResourceCollectionCommandOutput extends GetResourceCollectionResponse, __MetadataBearer {
}

export declare class GetResourceCollectionCommand extends $Command<GetResourceCollectionCommandInput, GetResourceCollectionCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: GetResourceCollectionCommandInput;
    constructor(input: GetResourceCollectionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetResourceCollectionCommandInput, GetResourceCollectionCommandOutput>;
    private serialize;
    private deserialize;
}
