import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { ListAnomaliesForInsightRequest, ListAnomaliesForInsightResponse } from "../models/models_0";
export interface ListAnomaliesForInsightCommandInput extends ListAnomaliesForInsightRequest {
}
export interface ListAnomaliesForInsightCommandOutput extends ListAnomaliesForInsightResponse, __MetadataBearer {
}

export declare class ListAnomaliesForInsightCommand extends $Command<ListAnomaliesForInsightCommandInput, ListAnomaliesForInsightCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: ListAnomaliesForInsightCommandInput;
    constructor(input: ListAnomaliesForInsightCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListAnomaliesForInsightCommandInput, ListAnomaliesForInsightCommandOutput>;
    private serialize;
    private deserialize;
}
