import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { ListEventsRequest, ListEventsResponse } from "../models/models_0";
export interface ListEventsCommandInput extends ListEventsRequest {
}
export interface ListEventsCommandOutput extends ListEventsResponse, __MetadataBearer {
}

export declare class ListEventsCommand extends $Command<ListEventsCommandInput, ListEventsCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: ListEventsCommandInput;
    constructor(input: ListEventsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListEventsCommandInput, ListEventsCommandOutput>;
    private serialize;
    private deserialize;
}
