import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { ListInsightsRequest, ListInsightsResponse } from "../models/models_0";
export interface ListInsightsCommandInput extends ListInsightsRequest {
}
export interface ListInsightsCommandOutput extends ListInsightsResponse, __MetadataBearer {
}

export declare class ListInsightsCommand extends $Command<ListInsightsCommandInput, ListInsightsCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: ListInsightsCommandInput;
    constructor(input: ListInsightsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListInsightsCommandInput, ListInsightsCommandOutput>;
    private serialize;
    private deserialize;
}
