import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { ListNotificationChannelsRequest, ListNotificationChannelsResponse } from "../models/models_0";
export interface ListNotificationChannelsCommandInput extends ListNotificationChannelsRequest {
}
export interface ListNotificationChannelsCommandOutput extends ListNotificationChannelsResponse, __MetadataBearer {
}

export declare class ListNotificationChannelsCommand extends $Command<ListNotificationChannelsCommandInput, ListNotificationChannelsCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: ListNotificationChannelsCommandInput;
    constructor(input: ListNotificationChannelsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListNotificationChannelsCommandInput, ListNotificationChannelsCommandOutput>;
    private serialize;
    private deserialize;
}
