import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { ListOrganizationInsightsRequest, ListOrganizationInsightsResponse } from "../models/models_0";
export interface ListOrganizationInsightsCommandInput extends ListOrganizationInsightsRequest {
}
export interface ListOrganizationInsightsCommandOutput extends ListOrganizationInsightsResponse, __MetadataBearer {
}

export declare class ListOrganizationInsightsCommand extends $Command<ListOrganizationInsightsCommandInput, ListOrganizationInsightsCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: ListOrganizationInsightsCommandInput;
    constructor(input: ListOrganizationInsightsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListOrganizationInsightsCommandInput, ListOrganizationInsightsCommandOutput>;
    private serialize;
    private deserialize;
}
