import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { ListRecommendationsRequest, ListRecommendationsResponse } from "../models/models_0";
export interface ListRecommendationsCommandInput extends ListRecommendationsRequest {
}
export interface ListRecommendationsCommandOutput extends ListRecommendationsResponse, __MetadataBearer {
}

export declare class ListRecommendationsCommand extends $Command<ListRecommendationsCommandInput, ListRecommendationsCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: ListRecommendationsCommandInput;
    constructor(input: ListRecommendationsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListRecommendationsCommandInput, ListRecommendationsCommandOutput>;
    private serialize;
    private deserialize;
}
