import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { PutFeedbackRequest, PutFeedbackResponse } from "../models/models_0";
export interface PutFeedbackCommandInput extends PutFeedbackRequest {
}
export interface PutFeedbackCommandOutput extends PutFeedbackResponse, __MetadataBearer {
}

export declare class PutFeedbackCommand extends $Command<PutFeedbackCommandInput, PutFeedbackCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: PutFeedbackCommandInput;
    constructor(input: PutFeedbackCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<PutFeedbackCommandInput, PutFeedbackCommandOutput>;
    private serialize;
    private deserialize;
}
