import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { RemoveNotificationChannelRequest, RemoveNotificationChannelResponse } from "../models/models_0";
export interface RemoveNotificationChannelCommandInput extends RemoveNotificationChannelRequest {
}
export interface RemoveNotificationChannelCommandOutput extends RemoveNotificationChannelResponse, __MetadataBearer {
}

export declare class RemoveNotificationChannelCommand extends $Command<RemoveNotificationChannelCommandInput, RemoveNotificationChannelCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: RemoveNotificationChannelCommandInput;
    constructor(input: RemoveNotificationChannelCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<RemoveNotificationChannelCommandInput, RemoveNotificationChannelCommandOutput>;
    private serialize;
    private deserialize;
}
