import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { SearchInsightsRequest, SearchInsightsResponse } from "../models/models_0";
export interface SearchInsightsCommandInput extends SearchInsightsRequest {
}
export interface SearchInsightsCommandOutput extends SearchInsightsResponse, __MetadataBearer {
}

export declare class SearchInsightsCommand extends $Command<SearchInsightsCommandInput, SearchInsightsCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: SearchInsightsCommandInput;
    constructor(input: SearchInsightsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<SearchInsightsCommandInput, SearchInsightsCommandOutput>;
    private serialize;
    private deserialize;
}
