import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { SearchOrganizationInsightsRequest, SearchOrganizationInsightsResponse } from "../models/models_0";
export interface SearchOrganizationInsightsCommandInput extends SearchOrganizationInsightsRequest {
}
export interface SearchOrganizationInsightsCommandOutput extends SearchOrganizationInsightsResponse, __MetadataBearer {
}

export declare class SearchOrganizationInsightsCommand extends $Command<SearchOrganizationInsightsCommandInput, SearchOrganizationInsightsCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: SearchOrganizationInsightsCommandInput;
    constructor(input: SearchOrganizationInsightsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<SearchOrganizationInsightsCommandInput, SearchOrganizationInsightsCommandOutput>;
    private serialize;
    private deserialize;
}
