import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { StartCostEstimationRequest, StartCostEstimationResponse } from "../models/models_0";
export interface StartCostEstimationCommandInput extends StartCostEstimationRequest {
}
export interface StartCostEstimationCommandOutput extends StartCostEstimationResponse, __MetadataBearer {
}

export declare class StartCostEstimationCommand extends $Command<StartCostEstimationCommandInput, StartCostEstimationCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: StartCostEstimationCommandInput;
    constructor(input: StartCostEstimationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StartCostEstimationCommandInput, StartCostEstimationCommandOutput>;
    private serialize;
    private deserialize;
}
