import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { UpdateEventSourcesConfigRequest, UpdateEventSourcesConfigResponse } from "../models/models_0";
export interface UpdateEventSourcesConfigCommandInput extends UpdateEventSourcesConfigRequest {
}
export interface UpdateEventSourcesConfigCommandOutput extends UpdateEventSourcesConfigResponse, __MetadataBearer {
}

export declare class UpdateEventSourcesConfigCommand extends $Command<UpdateEventSourcesConfigCommandInput, UpdateEventSourcesConfigCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: UpdateEventSourcesConfigCommandInput;
    constructor(input: UpdateEventSourcesConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateEventSourcesConfigCommandInput, UpdateEventSourcesConfigCommandOutput>;
    private serialize;
    private deserialize;
}
