import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { UpdateResourceCollectionRequest, UpdateResourceCollectionResponse } from "../models/models_0";
export interface UpdateResourceCollectionCommandInput extends UpdateResourceCollectionRequest {
}
export interface UpdateResourceCollectionCommandOutput extends UpdateResourceCollectionResponse, __MetadataBearer {
}

export declare class UpdateResourceCollectionCommand extends $Command<UpdateResourceCollectionCommandInput, UpdateResourceCollectionCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: UpdateResourceCollectionCommandInput;
    constructor(input: UpdateResourceCollectionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateResourceCollectionCommandInput, UpdateResourceCollectionCommandOutput>;
    private serialize;
    private deserialize;
}
