import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DevOpsGuruClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DevOpsGuruClient";
import { UpdateServiceIntegrationRequest, UpdateServiceIntegrationResponse } from "../models/models_0";
export interface UpdateServiceIntegrationCommandInput extends UpdateServiceIntegrationRequest {
}
export interface UpdateServiceIntegrationCommandOutput extends UpdateServiceIntegrationResponse, __MetadataBearer {
}

export declare class UpdateServiceIntegrationCommand extends $Command<UpdateServiceIntegrationCommandInput, UpdateServiceIntegrationCommandOutput, DevOpsGuruClientResolvedConfig> {
    readonly input: UpdateServiceIntegrationCommandInput;
    constructor(input: UpdateServiceIntegrationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DevOpsGuruClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateServiceIntegrationCommandInput, UpdateServiceIntegrationCommandOutput>;
    private serialize;
    private deserialize;
}
